All material within is copyrighted by Zoom Telephonics 1992.
All Rights Reserved

OWNERS MANUAL ZOOM HIGH-SPEED FAXMODEMS


Chapters and appendices in this manual

Introduction

Chapter 1 Quick-Start Instructions provides instructions for getting your
          faxmodem up and running in the shortest possible time.
Chapter 2 Using Your Faxmodem explains the uses and purpose of
          communications software. This chapter also details the faxmodem's
          non-volatile memory and the external faxmodem's front panel lights.
          The chapter concludes with an explanation of faxmodem
          compatibility, character format, baud rate, and leased-line operation.
Chapter 3 Operating Your Faxmodem describes the faxmodem's operating modes
          and how to switch between them.
Chapter 4 AT and Extended AT Commands explains the purpose of modem
          commands and how to type, delete, edit, and execute them. A
          complete description of the AT and extended AT commands is
          included.
Chapter 5 Configuring Your Faxmodem Parameters describes the purpose of
          faxmodem registers, how to read them, and how to change their
          values. A complete description of the faxmodem registers is included.
Chapter 6 Dialing and Answering  explains how to originate and answer calls
          with a terminal or when your computer is in terminal mode.
Chapter 7 Error Correction and Data Compression describes how to use the MNP
          and V.42 error-correction protocols to transmit and receive error-free
          data. A complete description of the MNP and V.42/V.42bis commands
          is included.
Chapter 8 Synchronous Operation describes how to operate your faxmodem
          synchronously. If you will be performing asynchronous or dial up
          operations only, you may choose to skip this chapter.
Chapter 9 Fax Operation  describes how to perform fax operations with your
          faxmodem.
Chapter 10     Diagnostics describes how to perform various tests to evaluate your
               faxmodem, the remote modem, and the telephone line between them.
Chapter 11     Troubleshooter's Guide describes problems that may arise, identifies
               the cause, and suggests corrective action.
Chapter 12     High-Speed Modem Primer designed for busy people who want to
               know more about their faxmodem and how it can reduce their
               telephone-line charges.


Zoom High Speed Fax/Modem Owner's Manual....................................2

Appendices:
Appendix A     FCC Notice
Appendix B     Canadian DOC Notice
Appendix C     Detailed Installation Instructions provides in-depth instructions for
               installing the external and internal faxmodems.
Appendix D     Replacing the Fuse describes how to replace the fuse in the external
               faxmodem.
Appendix E     Connecting to the Telephone Line provides detailed information about
               connecting your faxmodem to the telephone line.
Appendix F     Connector Pin Assignments lists the external faxmodem's RS-232-C
               pin assignments and describes the required connections for proper
               operation.
Appendix G     ASCII Character Table lists the complete set of ASCII characters.
Appendix H     Glossary defines the technical terms that appear in this manual.
Appendix I     Technical Specifications lists the faxmodem specifications.

Introduction:

Checking your components
Unpack your faxmodem components and make sure you have the following items:

One faxmodem
A modular telephone cable to connect your faxmodem to the telephone line
Power supply (external faxmodem only)
Owner's manual
When you open your package, make sure all of the above items are included
and that none of the hardware is damaged. If you verify that any components
are damaged, please notify your dealer.
You may also have the following items:
Communications and fax software and manual(s) (included with most internal
and some external faxmodems)
Serial cable (included with some special external faxmodem packages)

What else you need
To complete your data communications system, you will need the following
items.

Some type of communications and fax software,, if not included. Refer to
Using communications software in Chapter 2,
A modular telephone jack to connect your faxmodem to the telephone line,
An optional telephone (you do not need to use a telephone with your
faxmodem),
For the external model, an available RS-232 serial port on the personal
computer, and a properly configured RS-232-C interface cable (refer to the


NOTE below),
For the internal model, An available card slot in your personal computer
NOTE: V.42bis and MNP 5 require that the serial cable support hardware flow
control. If you have an IBM PC or compatible,, any modem cable that fits
your PC should work. If you have a Mac,, check that pin 4 of the cable's
25-pin connector is wired to the Mac side of the cable (pin 1 for the Mac
SE,, II,, or Plus). This cable is known as a hardware flow control,
high-speed, V series, or MNP cable.




Zoom High Speed Fax/Modem Owner's Manual....................................3
Using this manual

This manual describes how to install, operate, and test both the external
and internal faxmodems. If certain information applies only to one
faxmodem, it will be clearly identified.
The information in this manual is designed so that you can begin using your
faxmodem in the shortest possible time, without having to read the entire
manual. In fact, you need never read some chapters and appendices to
operate the faxmodem.
Conventions used in this manual
The carriage return key on your keyboard is referred to as the Enter key in
this manual. This key may be marked as  on your keyboard.
If an item requires special attention, IMPORTANT! will alert you to the
item.


Chapter 1
Quick-Start Instructions
This chapter provides quick-start instructions for experienced faxmodem
users. If you are a novice faxmodem user, or prefer detailed, step-by-step
instructions, please refer to Appendix C. You should also refer to Appendix
C if you need to configure your faxmodem for operation in Japan.
If you have the external faxmodem, proceed with External faxmodem
quick-start, below. If you have the internal faxmodem, turn to page 1-4.
External faxmodem quick-start
If you have an external faxmodem, use the following steps to install it.
Check each step after you complete it.
Make sure your computer is turned OFF.
Place the faxmodem in a clear area, near an AC outlet, where you can see
the front panel lights, known as LEDs. The distance to your computer is
limited by the length of your RS-232-C cable.
Make sure the power switch on the back of the faxmodem is in the down (OFF)
position.

 Make the connections shown in Figure 1-1. The RS-232-C cable connecting
your computer and faxmodem must be shielded and conform to the pin
assignments in Appendix G.
IMPORTANT! Make sure the RS-232-C cable supports flow control. Otherwise,
you cannot use your faxmodem's data compression features. If you have a
Macintosh, check that pin 4 of the cable's 25-pin connector is wired to the
Mac side of the cable (pin 1 for the Mac SE, II, or Plus).

Turn on your computer.
Turn on the faxmodem by raising the power (ON/OFF) switch on the back of
the faxmodem (see Figure 1-1).
The MR LED on the front of the faxmodem should go ON to indicate that the
faxmodem is turned on and receiving AC power. Depending on the exact
configuration of your faxmodem, other LEDs may also go ON.
Pick up the telephone handset and check for a dial tone.
Load your communications software and enter direct (terminal) mode. The
manual that came with your software should explain how to put it into this
mode.
The TR LED should go ON to indicate that your communications program is
asserting the Data Terminal Ready (DTR) signal. The TR LED will not go ON
if you have a Mac, because the Mac uses the DTR line for hardware flow
control.
At the terminal mode prompt, type AT and press the Enter key.


Zoom High Speed Fax/Modem Owner's Manual....................................4

Your faxmodem should respond with OK. This indicates the faxmodem is
working. If you do not get this response, repeat the above step. Make sure
you are in terminal mode. If you still do not get the OK response, make
sure your communications software is configured for the same COM port as
the RS-232-C (serial) port that your faxmodem is connected to.It is not
always obvious which port on the computer is COM1 and which is COM2. If the
faxmodem is, in fact, correctly connected, and still does not respond,
refer to the section Testing the external faxmodem connections on page C-
in Appendix C.
You have now completed the external faxmodem installation. Please proceed
to page 1-4.
Internal faxmodem quick-start
If you have an internal faxmodem, use the following steps to install it.
Check each step after you complete it.
Turn off the personal computer's power. This is important. The power must
be off when you install the faxmodem.
Make sure you can freely access the back of the computer.
Remove the computer cover (refer to the manual that came with your computer).
IMPORTANT! Set the correct COM port. The most common cause of faxmodem
problems is an incorrectly configured COM port. Therefore, it is worthwhile
to take the time to make sure that you choose the correct COM port, so
please read the following text completely and carefully. If you are not
familiar with the issues addressed below or feel unsure about any aspect of
COM port selection or configuration, we advise that you read Appendix C,
Detailed Installation Instructions.
For your faxmodem to function properly, there must not be a COM port
conflict. This means that no two devices can be trying to use the same
COMport (1, 2, 3, or 4) setting.
If your computer has one or two external serial ports, as do many
computers, the serial ports almost always will be set to COM1 and COM2.
Even if your computer only appears to have one serial port (which would
normally be assigned COM1), COM2 may already be assigned to a second serial
port and therefore be unavailable for use with your faxmodem. If COM1 and
COM2 are assigned, they cannot be used for the faxmodem. This is true
whether or not the serial ports are actually being used.
Furthermore, COM1 and COM3 share the same interrupt location, as do COM2
and COM4. When certain serial devices (such as a serial mouse) are
installed as COM1, they may interfere with a faxmodem installed as COM3, and
when installed as COM2, they may interfere with a faxmodem installed as COM4.
We recommend that you set your faxmodem and software for COM4. This should
work in the majority of cases. If you have a mouse on COM2, set your
faxmodem for COM3.
Set the three red jumpers on your faxmodem for the COM port you have
selected. Refer to Figures 1-3 and 1-4.
Select an available full-card slot for installation of the faxmodem.
Remove any slot cover that may be over the slot at the computer's back
panel. Keep nearby the screw that held the slot cover in place.
Hold the faxmodem above the slot you selected, with the faxmodem's edge
connector pointing down toward the base of the computer.
Carefully slide the faxmodem into the slot, applying even pressure to both
ends of the faxmodem. Stop inserting the faxmodem when its gold-plated edge
connectors are firmly seated. If you removed a screw from the slot cover, use it to
secure the
faxmodem in the slot. Load your communications software and enter direct (terminal)
mode. The
manual that came with your software should explain how to put it into this mode.
At the terminal mode prompt, type AT and press the Enter key.

Zoom High Speed Fax/Modem Owner's Manual....................................5

Your faxmodem should respond with OK. This indicates the faxmodem is
working. If you do not get this response, repeat the above step. If you
still do not get the OK response, make sure your communications software is
configured for the same COM port as the RS-232-C (serial) port to which
your faxmodem is connected. If it is, refer to the section Testing the
internal faxmodem connections on page C- in Appendix C.
Make the connections shown in Figure 1-5. Then pick up the telephone
handset and check for a dial tone.
 Replace and secure the computer cover.
You have now completed the internal faxmodem installation. Proceed to the
next page.

Standard configuration
For most asynchronous and synchronous operations, you won't need to change
any settings. The factory default configuration should work for the vast
majority of users. Speed, compression, and error correction are
automatically negotiated.
If your faxmodem is not communicating properly using the factory default
settings, particularly if it is unable to connect to another modem that you
know does not support error correction and/or data compression, you may
need to force your faxmodem into a particular mode that matches the
requirements of the remote modem, as referred in the section below.
If you've changed any settings, you can return to the factory default
settings at any time by typing AT&F and pressing the Enter key.
Other configurations
You can force your faxmodem to communicate in various ways by using special
AT command strings or dial prefixes. If you are having trouble connecting
with non-error-correcting modems, for example, you may need to use this
technique. Refer to Chapter 11, Troubleshooter's
Guide, for details.
Chapter 2   Using Your Faxmodem
Chapter 2 is an overview on using your faxmodem. Topics include:
Communications software
Non-volatile memory
The external faxmodem LEDs
Faxmodem compatibility
Baud rate and connection speeds to other modems
Valid character formats
Leased-line operation
Using communications software
To use your faxmodem with a personal computer, you will need a
communications or terminal emulation software program. The communications
software program will make it easy to send instructions (in the form of
commands) to your faxmodem to have it perform various tasks, such as
dialing a call, answering a call, or changing its operating characteristics.
Because your faxmodem is compatible with the Hayes AT command set, your
faxmodem will work with virtually any communications software designed for
your computer.
Your faxmodem also supports V.42bis and MNP 5 data compression, which
requires the software to support hardware (CTS/RTS) flow control and
software (XON/XOFF) flow control. Many popular communications software
packages support flow control, including the following PC and

Macintosh-compatible
software.


Zoom High Speed Fax/Modem Owner's Manual.................................6

PC-compatible software:

Bitcom Deluxe,Carbon Copy Plus,Crosstalk XVI and Mark IV,HyperAcess
Microsoft Windows Terminal,Mirror II and III, MTEZProComm Plus
Quick Link II, Qmodem, SST
Remote 2 (Host), Smartcom III, Telix.

Macintosh-compatible software

Microphone II,Quick Link II, Red Ryder, Smartcom for Mac,
STF, White Knight, Z Term.

Synchronous operation

Your faxmodem may support synchronous communications. If you will be
performing synchronous communications, you will need special software that
supports the synchronous port on your computer or terminal. If you do not
have such software, refer to the computer manufacturer's instructions or
contact the manufacturer for recommended software.

Achieving maximum throughput

If you have an internal faxmodem, it uses a high-performance 16550A UART to
achieve maximum possible throughput, especially with slower computers. To take
advantage of this design, your communications software must support
this chip. Recent releases of most major communications programs do support
this chip.
Setting up your communications software

The first time you use your communications software, you may be asked to
select the modem type from a menu. If you don't see this faxmodem listed
by name on the menu, select Hayes Smartmodem 9600 or Hayes V-series V.42
(for the V.32 faxmodem), or Hayes Ultra 14400 bps (for the V.32bis
faxmodem).
Specifying modem options

If your communications software program does not ask you to specify the
type of modem you are using, you may be asked to enter certain setup
information. In this case, enter the information specified in the Table
2-1. (If you did specify the type of modem, or if the software itself sets
up an initialization string, then you should not modify the setup provided
by the software.)

Table 2-1. Modem Options

For This Setup Option..., Enter This Information...
Initialization string1, AT &F &C1 &D2 <<CR>>
Dialing command, ATDT
Dialing command suffix, <<CR>>
Hangup command, ~~~+++~~~ATH1 <<CR>>
Auto-answer ON command, ATS0=1 <<CR>>
Wait for connection, 45 (seconds)
Pause between redial, 1 (second)
Auto-baud detect, ON
Drop DTR to hangup?, YES
Send init if CD high?, YES
Hardware flow control (RTS/CTS)?, ON

Zoom High Speed Fax/Modem Owner's Manual....................................7

Dialing directory entries, All should be set to 57,600 bps.
With this setup, all communications between your computer and faxmodem will
occur at 57,600 bps, independent of your faxmodem's connection to the
remote modem. Your faxmodem will automatically negotiate the fastest speed
possible with the remote modem.
In some cases, the delay that occurs during auto-negotiation may cause a
problem. If you experience such a problem, type AT&Q6 from Command Mode and
press the Enter key to disable auto-negotiation of Error Checking.. To enable
auto-negotiation
again, type AT&Q5 from Command Mode and press the Enter key.

Start-up sequence for external faxmodems
IMPORTANT! If you have an external faxmodem, you should have the faxmodem
turned on before you start up your communications or fax software.

 If your faxmodem is off when you start up the program, the faxmodem will not
receive the
initialization string from the program and may not work properly.
An important example: This faxmodem conforms to the Hayes standard for AT
commands, which means that it defaults to the command settings &C0 and &D0.
Many programs for PC-compatible computers, however, require that the
faxmodem be initialized with the commands &C1 and/or &D2; the programs
therefore include these commands in the initialization string. But if your
faxmodem is turned off when the program begins, the faxmodem will not
receive this critical string.
Another way of handling this situation is to store initialization commands
in non-volatile memory, which is described on the next page.
Disabling Call Waiting;
Some telephone companies offer a feature called Call Waiting. This
feature clicks when you receive an incoming call while using the
telephone line.
You may appreciate this feature, but your faxmodem doesn't. In fact, this click
may disconnect your faxmodem from the remote modem during data
transmission. Therefore, you should turn off Call Waiting, if possible,
before making your modem calls.
In some areas, Call Waiting can be temporarily turned off by pressing *70,
on your Touch-Tone telephone before dialing a telephone number. If your
Call Waiting can be turned off in this way, you should enter ATDT*70, as
your Dialing command in your communications software program. (Be sure to
type the comma.)
*70, turns off Call Waiting only for the duration of the next outgoing
call. When the call is over, Call Waiting will go back into effect. If you
are not sure whether *70, will turn off Call Waiting, check with your local
telephone company.
IMPORTANT! Unfortunately, there is no way to disable Call Waiting for a
call that you have received, so you may still have a problem due to Call
Waiting when you are receiving a call. See the description of Register S10
on page 5-11 for help with this problem.

Non-volatile memory
When you turn on your faxmodem or reset it, your faxmodem loads the active
configuration profile into non-volatile memory (NVRAM). The active
configuration profile is a group of configuration settings, derived from
the values of the faxmodem's internal S registers, that define how the
faxmodem will operate when it's turned on or reset. The active
configuration profile can be either the factory-default configuration or
one of two user-defined profiles.

Zoom High Speed Fax/Modem Owner's Manual....................................8

Factory configuration profile
The first time you turn on your faxmodem, the factory configuration profile
becomes the active configuration profile. The factory configuration
profile is a group of standard operating parameters that will allow most
users to begin sending and receiving data as soon as the faxmodem is installed
and the communications software is loaded. The factory
configuration profile is stored in the faxmodem's Read-Only Memory (ROM)
and cannot be changed.
The Quick-Reference Guide shows the factory configuration profile.
If you change your faxmodem's operating characteristics and want to return
to the factory configuration profile: Type AT&F and press the Enter key.
 A copy of the factory configuration profile will be loaded into the active
configuration profile.
 If you want the factory configuration profile to be the active
configuration profile the next time you turn on or reset your faxmodem:
Type AT&Y&F&W and press the Enter key.
The factory settings will be written to configuration profile 0 in
non-volatile memory.
Creating user-defined configuration profiles
For your convenience, your faxmodem lets you store two sets of operating
characteristics in non-volatile memory. If you use certain commands or
characteristics over and over again, you should store them in the
user-defined configuration profiles. Any command not stored will be set to
match the factory default settings.
The following commands can be stored: Bn, En, Ln, Mn, Nn, P or T dial
modifiers, Qn, Vn, Wn, Xn, Yn, &Cn, &Dn, &Gn, &Jn, &Kn, &Pn, &Qn, &Rn,
&Sn, &T4, &T5, and &Xn. For information on these commands, refer to Chapter4
The following registers can have their values stored: S0, S2 through S12,
S14 and S15, S18, S21 through S23, S25 through S41, S44, S46, S48 through
S50, S82, S86, S91, and S95. For information on these registers, refer to
Chapter 5.
You can also store telephone numbers using the &Z0, &Z1, &Z2, and &Z3
commands. For more information, refer to Chapter 4.
Creating the first profile
To create the first user-defined configuration profile:
Type the commands you want to store in the first user-defined configuration
profile and type the &W0 command as the last command in the command line.
For example, suppose you want the first profile to store the following
commands: &C1 DCD follows the remote carrier signal.
L0 low speaker volume.
M2 keep the speaker always on.
S95=44 enable compression, carrier, and protocol responses.
Your command line would look like:
AT &C1 L0 M2 S95=44 &W0
Press the Enter key.
The commands are stored in configuration profile 0.
To have the faxmodem use this profile, send the &Y0 command as described
under Specifying the power-up profile, below.
Creating the second profile
To create a second user-defined configuration profile:
Type the commands you want to store in the second user-defined
configuration profile and type the &W1 command as the last command in the
command line.
Press the Enter key.
The commands are stored in configuration profile 1.
To have the faxmodem use this profile, send the &Y1 command as described
under Specifying the power-up profile, below

Zoom High Speed Fax/Modem Owner's Manual....................................9

Specifying the power-up profile
You can use the &Y command to have the faxmodem load one of two stored profiles
after it is
turned on or reset via hardware. These profiles can come from location 0 or 1
in non-volatile memory.
To load the user-defined configuration profile stored with the &W0 command:
Type AT &Y0 and press the Enter key.
The faxmodem will use the configuration profile stored in location 0 after
it is turned on or reset via hardware.
To load the user-defined configuration profile stored with the &W1 command:
Type AT &Y1 and press the Enter key.
The faxmodem will use the configuration profile stored in location 1 after
it is turned on or reset via hardware.
Viewing the configuration profiles
Using the &V command, you can view the active configuration profile, the two
user-defined
configuration profiles, and any stored telephone numbers.
Type AT&V.
Press the Enter key.
A screen similar to that shown in Figure 2-1 appears.

External faxmodem LEDs
If you have the external faxmodem, refer to Table 2-2 for an explanation of
the LEDs on the front panel. Figure 2-2 shows the LEDs on the external
faxmodem.



Table 2-2. External faxmodem LEDs

LED LABEL, LIGHT STATUS, DESCRIPTION

FAX, ON, Faxmodem has a fax connection.
14.4, ON, 14,400 bps connection in fax or data mode. If your faxmodem does
not have this light, you have a V.32 faxmodem, not a V.32bis faxmodem.
V32, ON, V.32 faxmodems 9600 bps connection.V.32bis faxmodems 4800,
7200, 9600, 12000, or 14400 bps connection.
V42, ON, V.42 error-correction connection with a remote modem.
DC (Data Compression), ON, V.42bis or MNP 5 data compression connection
with a remote modem.
EC (Error Correction), ON, Faxmodem has a V.42 or MNP 4 error-correction
connection with a remote modem.
FC (Flow Control), ON, Command Mode a flow control command (&K3, &K4, or
&K5) is in effect.Data Mode a flow control command is in effect and the
faxmodem's buffer is not full, allowing data flow from the computer to the
faxmodem.
FC, OFF, Command Mode disable flow control command (&K0) is in effect.Data
Mode flow control is disabled; or flow control is enabled, but the
faxmodem's buffer is full, preventing data flow from the computer to the
faxmodem.
HS (High Speed), ON, Faxmodem is operating at 4800 bps or faster.
AA (Auto-Answer), ON, Faxmodem is set up to automatically answer incoming
calls, BLINKING, Faxmodem has detected an incoming ring.
CD (Carrier Detect), ON, Faxmodem has detected a remote modem's carrier
signal.
OH (Off-Hook), ON, Faxmodem is off-hook (using the telephone line).
RD (Receive Data), BLINKING, Data is being sent from your faxmodem to your

Zoom High Speed Fax/Modem Owner's Manual....................................10

computer. When data is being sent at a fast data rate, this LED may appear
to be ON steadily.
SD (Send Data), BLINKING, A command or data is being sent from your computer's
serial port to your faxmodem. When data is sent at a fast rate, the LED may
appear to be ON steadily.
TR (Terminal Ready), ON, Faxmodem is receiving a Data Terminal Ready (DTR)
signal from the attached DTE, indicating that the DTE is ready to send or
receive data (DTR is ON). This LED does not work with a Macintosh, which
uses DTR for hardware flow control.
MR (Faxmodem Ready), ON, Faxmodem is receiving power. BLINKING,
Faxmodem is in
a Self-Test mode.
Compatibility
Table 2-3 shows the bit per second (bps) rate and data formats your
faxmodem can use.
Compatibility
Baud Rate (bps), Data Format, Compatibility
0-300, Asynchronous, CCITT V.21,Bell 103
1200, Asynchronous or Synchronous, CCITT V.22,Bell 212A
2400, Asynchronous or Synchronous, CCITT V.22bis
4800, Asynchronous or Synchronous, CCITT V.32 and V.32bis
7200, Asynchronous or Synchronous, CCITT V.32bis only
9600, Asynchronous or Synchronous, CCITT V.32 and V.32bis
12000, Asynchronous or Synchronous, CCITT V.32bis only
14400, Asynchronous or Synchronous, CCITT V.32bis only
The speed and compatibility (CCITT or Bell) used to exchange data with a
remote system is governed by the N0 or N1 command in effect. The N0 command
is described below. The N1 command is described on page 2-.
N0 command in effect
Use the N0 command if you want to accept only particular connections. When
the N0 command is in effect, your faxmodem will use the values of Register
S37 and the B command, and sense the computer-to-faxmodem speed, to set the
required speed and compatibility for this connection (see Table 2-4).
For example, if Register S37 is set to 0, the B1 command is in effect, and
your faxmodem senses the computer-to-faxmodem speed at 1200 bps, your
faxmodem will allow a Bell 212A connection at 1200 bps.

Table 2-4. N0 command in effect
S37 Setting, B Command in Effect, Speed Computer-to-Faxmodem Sensed,
Required Telephone Line Speed
0, 0,  600, V.21 300
0, 0, 1200, V.22 1200
0, , 2400, V.22bis 2400
0, , 4800, V.32bis 4800*
0, , 9600, V.32bis 9600*
0, 0, Other, V.32bis 14400
0, 1,  600, Bell 103 300
0, 1, 1200, Bell 212A 1200
1-3 (300), 0, , V.21 300
5 (1200), 0, , V.22bis 1200
6 (2400), , , V.22bis 2400
1-3 (300), 1, , Bell 103 300
5 (1200), 1, , Bell 212A 1200
7 Reserved, , , Reserved
8 (4800), , , V.32bis 4800*
9 (9600), , , V.32bis 9600*
10 (12000), , , V.32bis 12000

Zoom High Speed Fax/Modem Owner's Manual.................................11

11 (14400), , , V.32bis 14400
12 (7200), , , V.32bis 7200
*If a V.32 modem connects with your faxmodem at 9600 or 4800 bps,, the
resulting line protocol will be V.32 9600 or 4800,, respectively.

N1 command in effect
When the N1 command is in effect, your faxmodem uses its auto-mode detect
capabilities to automatically set the faxmodem to the fastest speed
supported by both modems. It begins this negotiation at the fastest
possible connection speed and decreases speed until a connection is
established.
@HEADING 1 = Character format
To communicate asynchronously with another modem, the character length and
format of your system must match with that of the remote asynchronous
system. Table 2-5 shows the valid character formats.

Character formats

Parity, Data Length, Stop Bits, Character Length

None, 7, 2, 10
Odd, 7, 1, 10
Even, 7, 1, 10
None, 8, 1, 10
Odd, 8, 1, 11
Even, 8, 1, 11

For 11-bit character lengths, 11-bit characters are sensed,, but the parity bits are
stripped off
during
data transmission in normal and error-correction modes. Direct mode does not
strip off the parity bits
The faxmodem speed senses data with mark or space parity. However, the
faxmodem configures to different parities as follows:

7 mark, 7 none
7 space, 8 none
8 mark, 8 none
8 space, 8 even

Leased-line operation
You can use the &L1 command to configure your faxmodem for use over a
leased (private) telephone line. In leased-line applications, there is a
faxmodem at each end of the leased telephone line. One modem is configured
to originate calls and the other is configured to automatically answer calls.
To perform asynchronous leased-line communications:
The person at the originating modem types AT &L1 &D0 S0=0 and presses the
Enter key.
The person at the answering modem types AT &L1 &D0 S0=1 and presses the
Enter key.
The person at the originating modem types AT X1 D and presses the Enter
key, while the person at the answering modem types AT A and presses the
Enter key.
To perform synchronous leased-line communications:
Make sure you have stored a telephone number with the &Zn= command (refer
to Chapter 4).

Zoom High Speed Fax/Modem Owner's Manual.................................12

The person at the originating modem types AT &Q2 &L1 &D0 S0=0 and presses
the Enter key.
The person at the answering modem types AT &Q1 &L1 &D0 S0=1 and presses the
 Enter key.
If you want to store these commands into the faxmodem's non-volatile
memory, add the command &W or &W1 (depending on the location where you want
them stored) to the end of the above command lines for the originating and
answering modems.
For an explanation of these commands, refer to Chapter 4.


Chapter 3
Operating Your Faxmodem
Your faxmodem is always in one of three operating modes, Command Mode, Data
(or On-Line) Mode, or Fax Mode. Chapter 3 describes Command Mode and Data
Mode and how to switch your faxmodem between them. Operating your faxmodem
in Fax Mode is described in Chapter 9.
Normally, you won't need to switch between these modes during normal
operation, since your communications software acts as a friendly interface
to the faxmodem.
Operating modes
When used as a modem, your faxmodem can be in either Command Mode and Data
Mode.
Command Mode lets you send commands from your keyboard to your faxmodem
to perform a variety of functions.
Data Mode lets you exchange data across the telephone line with a remote
modem. In Data Mode, your faxmodem assumes everything it receives from your
computer is data and sends it across the telephone line. Therefore, avoid
sending a command (other than the escape sequence, described on page 3-3 to
your faxmodem while in Data Mode, because your faxmodem will handle the
keystrokes as data.
The following sections describe how to enter these modes.
Entering Command Mode
Your faxmodem automatically enters the Command Mode after:
You turn on your faxmodem.
You lose the data connection with the remote modem.
The faxmodem detects an ON-to-OFF transition on the Data Terminal Ready
(DTR) circuit with the &D1 command in effect. If this happens, your
faxmodem returns to Command Mode without hanging up. To hang up the
faxmodem, send the H command or, if the &D2 command is in effect, have your
software turn off DTR.
The faxmodem detects an ON-to-OFF transition on the DTR circuit with the
&D2 command in effect. If this happens, your faxmodem hangs up and returns
to Command Mode.
The faxmodem detects an ON-to-OFF transition on the DTR circuit with the
&D3 command in effect. If this happens, your faxmodem hangs up, resets
itself, loads the active configuration from nonvolatile memory, and returns
to Command Mode.
You touch any key on your computer keyboard while your faxmodem is dialing.
This will cause your faxmodem to stop dialing, hang up, and return to
Command Mode.
IMPORTANT! If you reset the faxmodem while it's in Command Mode, it remains
in Command Mode and any data connection with a remote modem is terminated.

Entering Data Mode
Your faxmodem automatically enters Data Mode after making a data connection
with a remote modem. The two modems make the data connection using a

Zoom High Speed Fax/Modem Owner's Manual.................................13

process called handshaking.
Modems accomplish handshaking by sending high-pitched tones across the
telephone line. Normally you will hear these tones during the handshaking
process. By default, the speaker will be turned off when the carrier signal
is detected.
The escape sequence for switching to Command Mode
After your faxmodem makes a data connection with a remote modem, you can
use the escape sequence to return to Command Mode without breaking the data
connection.
By default, the escape sequence is defined as three plus signs (+++).
If you desire, you can change these characters by changing the value of
Register S2 (refer to Chapter 5)
Unlike other commands, you do not type the attention characters AT before
sending the escape sequence, nor do you press the Enter key after sending them.
Moreover, you must pause before and after sending the escape sequence.
This prevents the faxmodem from interpreting data you send, which may match the
escape sequence, as an escape character (if that data contains three plus
signs, for instance). The default setting for this pause is one second.
You can change the duration of the pause required by changing the value of
Register S12 (also described in Chapter 5).
The following procedure describes how to use the escape sequence to switch
from Data Mode to Command Mode while maintaining the data connection.
After your faxmodem makes an asynchronous data connection, wait at least
one second without typing anything.
Type the escape characters (default is +++).
Wait at least one second.
Your faxmodem responds with OK and enters the Command Mode without losing
the data connection.
You can now issue commands to perform such tasks as reading or changing
register values, or hanging up the faxmodem.
When you want to resume transmission, you can return to Data Mode and
optionally perform a retrain sequence, or try to establish a reliable (MNP)con.
To return to Data Mode type ATO and press the Enter key. Your faxmodem
sends a CONNECT nnnn response (where nnnn indicates the speed of the
connection) and returns to Data Mode.
To return to Data Mode and initiate an equalizer retrain type ATO1 and
press the Enter key. Your faxmodem sends a CONNECT nnnn response, returns
to Data Mode, and initiates an equalizer retrain. A retrain sequence causes
the connected modems to test the telephone line and optimize their
operation for transferring data over the telephone line. Use this command
if the telephone line condition has deteriorated during the connection.
This command works for 2400 bps and faster connections.
To enter a reliable connection type AT\O and press the Enter key. Your
faxmodem sends a CONNECT nnnn response and proceeds to exchange data
error-free with the remote MNP/V.42/V.42bis modem. (For the reliable link
to succeed, the remote modem must also support MNP/V.42/V.42bis.)
IMPORTANT! If the &D2 command is in effect and you use the +++ characters
to enter the Command Mode, an ON-to-OFF transition on the DTR interchange
circuit has the same effect as sending the H (Hang Up) command.
Chapter 4
AT and Extended AT Commands
Chapter 4 describes the AT and extended AT commands. Using these commands,
you can instruct your faxmodem to dial a call, answer a call, or change its
operating configuration.
If you're using communications software, you normally will not need to use
the AT and extended AT commands directly. Your communications software will
do this for you.

Zoom High Speed Fax/Modem Owner's Manual.................................14

However, if you're writing software applications for controlling the modem,
or if you want to understand the behind-the-scenes operation of your
faxmodem, you will want to learn more about the AT and extended AT command
set.
Topics discussed in this chapter include:
The format to use when typing commands
Correcting a typing mistake
Omitting a command parameter
Repeating a command line
Modem responses
A summary of the AT and extended AT commands
This chapter concludes with a complete description of the AT and extended
AT commands, presented in alphabetical order.
Typing a command
In order to send commands to your faxmodem, you must type a command line
while your faxmodem is in Command Mode. A command line can contain one
command or multiple commands. The only restriction is that the command line
cannot exceed 40 characters.
A command line must begin with the AT characters. After you type AT, you
can type the commands you want the faxmodem to perform. For example:
ATM2DT9,12165551212
This command line instructs your faxmodem to keep the faxmodem speaker
turned on continuously (M2), and then use touchtone dialing (T) to dial the
number 9 (D9), pause for two seconds (,), and dial the telephone number
1-216 555-1212.
If you want to enhance readability, you can insert spaces and punctuation,
such as parentheses and hyphens, in your command line. For example:
AT M2 DT9 , 1 (216) 555-1212
This command line will perform in exactly the same way as the one preceding
it. The only difference is that it's easier to read. Your faxmodem will
ignore spaces and punctuation in a Dial command line. However, you should
remember that spaces and punctuation occupy space in the faxmodem's command
buffer, which is limited to 40 characters.
If you make a typing mistake, press the Backspace key to delete the error,
then type the correct command. You can use the Backspace key to delete any
part of the command you typed, except AT.
To execute a command line, press the Enter key. Pressing Enter tells the
faxmodem to process the command line.
If you type more than 40 characters on the command line, the faxmodem will
return an ERROR response and ignore the command. If you want to type more
commands than will fit on a 40-character command line, type a command line
of fewer than 40 characters, end it with the semicolon (;), and press
Enter. Your faxmodem will execute the commands and return to Command Mode,
so that you can type your next command line.
Omitting a parameter
Some commands require a numeric parameter such as 0, 1, or 2 to completely
define that command. For example, the V command determines whether your
faxmodem sends you a word or numeric response after it executes (or tries
to execute) your command line:
Typing V0 tells the faxmodem to send numeric responses.
Typing V1 tells the faxmodem to send word responses.
If you omit a parameter from a command that requires one, it's just like
specifying a parameter of 0. If you type the V command without specifying
either 0 or 1 and press the Enter key, for example, it's just like sending
a V0 command, and the faxmodem will send numeric responses.
Repeating a command line
Your faxmodem stores the last-executed command line in memory until you

Zoom High Speed Fax/Modem Owner's Manual.................................15

type a new command line and press the Enter key. The A/ command will
re-execute the last command line you typed. The A/ command is particularly
useful when you want your faxmodem to re-execute a lengthy command line or
to redial a number that was busy.
When you want to use the A/ command, don't preface it with the AT
characters or end it by pressing the Enter key. Just typing A/ will
instruct the faxmodem to automatically re-execute the last command line.
IMPORTANT! You can use the A/ to automatically re-execute the last command
line your faxmodem executed at any time, unless you have typed a new
command line that begins with AT, your modem loses power, or you reset your
faxmodem.
Faxmodem responses
When you send a command to your faxmodem, the faxmodem sends an
asynchronous response that is displayed on your monitor screen. For
example, if you send a command line to your faxmodem, the faxmodem may
respond with OK. However, communications software may intercept the
responses and keep them from being displayed.
You can select responses from any of five response sets, designated X0
through X4. The X4 response set is the default response set. The response
sets determine which word or numeric responses are sent by the faxmodem.
They also define certain dialing characteristics and how the faxmodem
handles dial tones and busy signals, as described in the following
sections.
Responses can take the form of words or numbers. Your faxmodem is set up to
return word responses. Word responses are followed by an automatic carriage
return and line feed.
If your faxmodem is operating under an application that either cannot
handle character strings or handles them inefficiently, you can use the V0
command to switch to numeric responses. Numeric responses are followed by a
carriage return only.
If you do not want to receive responses at all, you can use the Q1 command
to disable responses. For example, you might want to disable responses
entirely if your faxmodem is connected to a printer, so that responses will
not print.
X response set (4-28)
The X response set consists of the first five responses in the faxmodem
response table in the Quick-Reference Guide.
With this response set, you receive the CONNECT response for
all connections, regardless of the speed at which they're made.
When you send a Dial command line with this response set in effect, your
faxmodem will wait for the time specified in Register S6 to elapse (default
is 2 seconds) after receiving your Dial command, then automatically dial
the telephone number whether or not a dial tone is present. This is known
as blind dialing. You may want to use blind dialing if you will be using
the faxmodem in an area that has an irregular or weak dial tone that your
faxmodem cannot always detect.
X1 response set
The X1 response set includes all of the X0 responses and provides the
CONNECT responses to inform you of the connection speed to the remote
modem. When you send a Dial command with this response set in effect, your
faxmodem will blind dial the call, as explained in X0 above.
X2 response set
The X2 response set consists of all the responses in the X1 response set,
and adds the NO DIALTONE response. When you send a Dial command with this
response set in effect, your faxmodem will listen for a dial tone before
dialing. If it does not detect a dial tone within five seconds, it hangs up
and returns the NO DIALTONE response.

Zoom High Speed Fax/Modem Owner's Manual.................................16

X3 response set
The X3 response set consists of all the responses in the X1 response set,
and adds the BUSY response, which the faxmodem will send when it dials a
telephone number that's busy. When this response set is in effect and you
send a Dial command to your faxmodem, your faxmodem will blind dial the
call.
X4 response set
The X4 response set is the factory-default response set. It consists of all
the responses in the X1 response set, and adds the NO DIALTONE and BUSY
responses. This response set allows the faxmodem to detect a dial tone and also a
busy signal.
Negotiation progress responses
You can enable an additional set of responses that provide information
about carrier speed, error-control protocol, and data compression. The
responses in this response set are the last 14 responses in the faxmodem
response table in the Quick-Reference Guide.
You can also use the S95 register (refer to page 5-31) to set the level and type
of response that will be displayed, and any bit set to 1 there will take
precedence over the W command setting.
The W command enables or disables this additional response set:
W0 disables negotiation progress responses (the factory default).
W1 enables the additional response set.
W2 error-correction call progress not reported. The appropriate CONNECT
response reports the DCE speed.
If the W1 command is in effect and an error-correction link is negotiated
and a connection made, you will receive the appropriate CONNECT response.
When error-correction is in use, the appropriate CARRIER response may
indicate one speed, while the CONNECT response may indicate another.
If you enable the additional response set, you can use the V0 or V1 command
to receive responses as words or numbers (the factory default is word responses).
IMPORTANT! The W command that enables negotiation progress responses is NOT
the same command as the W dialing modifier used in Dial command lines.

AT and extended AT command summary

+++, Switch to Command Mode, but keep data connection.
A Answer incoming call immediately.
A/ Repeat last command line.
 Zoom High Speed Modem Owner's Manual

AT ATtention characters; this prefix precedes all commands except A/.
B0 Use CCITT standards.
B1 (default) Use Bell standards.
C0 Returns an ERROR response.
C1 (default) Normal transmit carrier switching.
Dn, Dial telephone number n. Dial modifiers:LRedial the last telephone
number dialed
P (default) pulse dialing
T Touchtone dialing
W wait for dial tone,pause (2 seconds)
@ wait for 5 seconds of silenceR dial an originate-only modem; return to
Command Mode after dialing! go on-hook for .7 second
S=n dial one of four stored telephone numbers
^ turn on calling tone.
E0 Command characters not echoed.
E1 (default) Command characters are echoed.,
F0 Returns an ERROR response.

Zoom High Speed Fax/Modem Owner's Manual.................................17

F1 (default) Turn off on-line data echo.,
H0 Force faxmodem on-hook (hang up).
H1 Force faxmodem off-hook (make busy).,
I0 Faxmodem sends 3-digit product code.
I1 Faxmodem sends checksum on firmware ROM.
I2 Faxmodem performs checksum.
I3 Faxmodem sends firmware revision level.
I4 Faxmodem reports on its capabilities.
L0 Low speaker volume.
L1 Low speaker volume.
L2 (default) Medium speaker volume.
L3 High speaker volume.
M0 Speaker is always off.
M1 (default) Speaker on until carrier detected.
M2 Speaker is always on.
M3 Speaker on during answering.
N0 Connections made at speed specified by Register S37.
N1 (default) Handshaking permitted at any speed.
O0 Return to Data Mode.
O1 Return to Data Mode and initiate a retrain.
P, Set pulse dialing as default.
Q0 (default) Send responses to DTE.
Q1 Do not send responses to DTE.
Sr?, Read and display Register r value.
Sr=n, Set Register r to value n.
T, Set touchtone dialing as default.
V0 Send numeric responses.
V1 (default) Send word responses.
W0 Negotiation progress responses disabled.
W1 Negotiation progress responses enabled.
W2 Negotiation progress responses disabled. CONNECT message indicates DCE
speed.
X0 Responses 0 5/blind dialing/ignore dial tone and busy signal.
X1 Responses 0 5 and 10/blind dialing.
X2 Responses 0 6 and 10/dial tone detection.
X3 Responses 0 5, 7, and 10/blind dialing/busy signal detection.
X4 (default) All responses/dial tone and busy signal detection.
Y0 (default) Long space disconnect disabled.
Y1 Long space disconnect enabled.
Z0 (default) Reset faxmodem, use configuration profile 0.
Z1 Reset faxmodem, use configuration profile 1.

&C0 (default) Force Data Carrier Detect (DCD) ON continuously.
&C1 DCD follows the remote carrier signal., 4-
&D0 &D1 &D2 &D3 Data Terminal Ready option,depends on the &Q command in
effect.
&F, Load factory configuration profile from memory.
&G0 (default) Faxmodem accepts this command, but takes no action.
&G1 Faxmodem accepts this command, but takes no action.
&G2 Faxmodem accepts this command, but takes no action.
&J0 (default) RJ11 telephone jack.
&J1 RJ12 or RJ13 telephone jack.
&K0 Disable flow control.
&K1 (default) Enable RTS/CTS flow control.
&K2 Enable XON/XOFF flow control.
&K3 Enable transparent ON/XOFF flow control.
&L0 (default) Selects a dial-up telephone line.

Zoom High Speed Fax/Modem Owner's Manual.................................18

&L1 Selects a leased telephone line.
&M0 through &M3 Same as &Q0 through &Q3.
&P0 (default) Make/break dial ratio of 39/61 @10 pps (USA).
&P1 Make/break dial ratio of 33/67 @10 pps (UK & Hong Kong).
&P2 Make/break ratio of 33/67 @ 20 pps (Japan).
&Q0 Asynchronous operation in direct mode.
&Q1 Synchronous Mode 1: Asynchronous dialing using AT commands, switch to
synchronous mode after dialing. Synchronous &Q2 Mode 2: Dial telephone
number stored in position number 0 when DTR goes from OFF to ON.
&Q3 Synchronous Mode 3: Use handset to dial telephone number, enter
synchronous mode after DTR goes from OFF to ON.
&Q4 Modem accepts this command but takes no action.
&Q5 (default) Faxmodem negotiates an error-correction connection.
&Q6 Asynchronous operation in normal mode (speed buffering).
&Q7 Faxmodem accepts this command, but takes no action.
&Q8 Faxmodem acts as if S48=128.
&Q8 Faxmodem acts as if &Q5 is in effect with S48=7 and S46=138.
&R0 (default) Clear To Send (CTS) tracks Request To Send (RTS).
&R1 Ignore RTS, force CTS ON continuously.
&S0 (default) Force Data Set Ready (DSR) ON continuously.
&S1 DSR active during handshaking, off during testing or Command Mode.
&T0 End test in progress.
&T1 Start Local Analog Loopback Test.
&T3 Start Local Digital Loopback Test.
&T4 (default) Respond to remote modem requests for Remote Digital Loopback.
&T5 Ignore remote modem requests for Remote Digital Loopback.
&T6 Start Remote Digital Loopback Test.
&T7 Start Remote Digital Loopback Test with Self-Test.
&T8 Start Local Analog Loopback Test with Self-Test.
&V, View current profile, stored profiles, and stored numbers.
&W0 Save active configuration as profile 0.
&W1 Save active configuration as profile 1.
&X0 (default) Faxmodem provides synchronous clock on EIA pin 15.
&X1 Faxmodem accepts external synchronous clock on EIA pin 24 and relays it
on EIA pin 15.
&X2 Faxmodem derives synchronous clock from incoming carrier signal and
relays it on EIA pin 15.
&Y0 (default) Configuration profile 0 will be the active configuration
profile after faxmodem is turned on.
&Y1 Configuration profile 1 will be the active configuration profile after
faxmodem is turned on.
&Zn=x, Store telephone number x in location n.
MNP/V.42/V.42bis commands
\A0 64-character maximum MNP block size.
\A1 128-character maximum MNP block size.
\A2 192-character maximum MNP block size.
\A3 (default) 256-character maximum MNP block size.
\B, Transmit a line break to the remote modem.
%C0 Disable data compression.
%C1 (default) Enable data compression.
%D0 V.42bis dictionary size 512.
%D1 V.42bis dictionary size 1024.
%D2 (default) V.42bis dictionary size 2048.
%D3 V.42bis dictionary size 4096 for one-way compression, 2048 for two-way
compression.
\En, Optimize local echo.
%E0 Faxmodem will not retrain.
 %E1 Faxmodem will retrain.
\G0 (default) Turn off modem-to-modem flow control.

Zoom High Speed Fax/Modem Owner's Manual.................................19

\G1 Turn on modem-to-modem flow control.
\K, Defines break type.
\L0 (default) Stream MNP link mode.
\L1 Block MNP link mode.
%L Report received signal level.
%M0 Compression disabled.
%M1 Transmit compression only.
%M2 Receive compression only.
%M3 (default) Two-way compression.
\N0 Normal data link only with buffering.
\N1 Normal data link only without buffering.
\N2 Reliable link only.
\N3 (default) Auto-reliable link.
\O, Originate reliable link control.
%P, Clear encoder dictionary.
%Q, Report line signal quality.
%Sn, Set maximum sting length (V.42bis).
\T, Inactivity timer.
\U, Accept reliable link control.
\Y, Switch to reliable operation.
\Z, Switch to normal operation.

Escape characters

The characters +++ are known as the escape characters. When your faxmodem
enters the Data Mode, typing +++ allows it to escape to the Command Mode
while preserving the connection to the remote modem. This feature provides
a convenient way of letting you check or change a parameter after making a
connection with a remote asynchronous modem.
The escape characters involve:
A timed pause of 1 second (specified in Register S12).
Three keystrokes of the escape character as defined in Register S2 (the
default character is +)
Another pause (again specified in Register S12).
When you type the escape characters they are sent to the remote modem, but
they do not affect the remote modem unless the computer connected to it
echoes the escape characters back to your faxmodem's Transmitted Data input
signal.
After typing the escape characters, your faxmodem keeps its connection to
the remote modem, returns to the Command Mode to receive your commands, and
sends you the OK (or 0) response.
When you want to return to the Data Mode, type AT O or AT O1 and press the
Enter key. If you want to hang up, type ATH and press the Enter key.
IMPORTANT! Your faxmodem also hangs up if the &D2 command is in effect and
it detects an ON-to-OFF transition on the Data Terminal Ready interchange
circuit.
A  Manually answering a call
Use the A command to manually answer an incoming call. Sending the A
command tells your faxmodem to go off-hook (access the telephone line)
immediately.
If your faxmodem detects an incoming ring and displays the RING response,
you can type ATA and press the Enter key to manually answer the call. If a
successful connection is made, your faxmodem sends you one of the CONNECT
responses and enters the Data Mode. If a connection is not made, or if you
press any key on your computer keyboard while your faxmodem attempts a
connection, your faxmodem stops sending the tone, sends you the NO ANSWER
response, hangs up the telephone line, and returns to the Command Mode.
IMPORTANT! Your faxmodem does not execute commands that follow A in the
command line. If you want to include additional commands on the same

Zoom High Speed Fax/Modem Owner's Manual.................................20

command line with the A command, have them precede the A command.
 A/
@SHADEAFTER = Repeat last command line
The A/ command tells your faxmodem to repeat the last command line it
executed without having to retype it. This command is not preceded with the
AT prefix nor followed by pressing the Enter key.
For example, assume you sent the following Dial command line to the
faxmodem and received a busy signal:
AT L3 M3 X2 N0 DP 555-1212
If you want to repeat this command line, just type A/
IMPORTANT! The last-executed command line stays in your faxmodem's memory
until power is turned off, your faxmodem is reset, or you type a new
command line and press the Enter key.

 AT
Attention characters
Every command line, except the A/ command, must begin with the attention
characters (AT); otherwise, your faxmodem will not execute the command
line. Your faxmodem ascertains your serial port's transmission speed,
character length, and parity from these characters.
IMPORTANT! Your faxmodem ignores all commands that precede AT on the
command line.
 Bn
CCITT/Bell compatibility
The Bn command selects the protocol for 300 bps and 1200 bps operation.
This command is ignored when the N1 command is in effect (refer to page
4-).
B or B0
Selects the CCITT V.21 protocol when the faxmodem is operating at 300 bps
and the CCITT V.22 protocol when the faxmodem is operating at 1200 bps.
B1
Selects the Bell 103 protocol when the faxmodem is operating at 300 bps and
the Bell 212A protocol when the faxmodem is operating at 1200 bps. This is
the default setting.

Cn  Transmitter carrier
The Cn command controls the transmit carrier.
C or C0
Returns an ERROR response.
C1
Turns the faxmodem transmit carrier on when calling, answering, or
connected to a remote modem. This command is provided for communications
software requiring it. This is the default setting.
 D
Dial command
The D command instructs your faxmodem to dial a telephone number. The
format of the Dial command is:
ATD n
where n is a telephone number to be dialed and any dial modifiers you want
to include.
A typical Dial command line might be:
ATD 555 1212
which instructs the faxmodem to dial the telephone number 555-1212.
When you send a Dial command to your faxmodem, the faxmodem goes off-hook
and waits a number of seconds for a dial tone before originating a call. If
the X2 or X4 command is in effect, one second of dial tone must be detected
within 5 seconds. If the W dialing modifier is on the Dial command line,
this time limit is the value of Register S6 (default is 2 seconds).
When the time period expires, the faxmodem dials the telephone number and

Zoom High Speed Fax/Modem Owner's Manual....................................21

waits for a carrier signal from the remote modem, as specified by the value
of Register S7. If the data connection is made within the allowable time,
your faxmodem enters Data Mode and sends the appropriate CONNECT response.
Otherwise, it goes on-hook and sends the NO CARRIER response.
When pulse dialing, you can type the numbers 0 through 9 on the Dial
command line. When touchtone dialing, you can type the numbers 0 through 9
and A, B, C, D, #, and *.

If you want to control how calls are dialed, you can include the following
dialing modifiers in the Dial command line:
LRedial the last telephone number dialedPpulse dialing Ttouchtone
dialingWwait for dial tone,pause the number of seconds specified by
Register S8 (default is 2 seconds)@ wait for 5 seconds of silenceR dial an
originate-only modem; return to Command Mode after dialing! go on-hook for
.7 second (hook flash)S=ndial one of four stored telephone numbers^turn on
calling tone
These modifiers are described in the following sections.
IMPORTANT! If you want to include other commands on a Dial command line,
type them in front of the D (Dial) command. If the Dial command line only
contains the characters ATD, the faxmodem will go off-hook in originate
mode.
 L
Redial last telephone number dialed
If your faxmodem executed a Dial command line that resulted in a busy
signal, you can use the L dialing modifier to automatically redial the last
Dial command line. For example, if you send the following Dial command
line:
ATDT 555-1212
and fail to connect with the remote modem, type the following command line
and press the Enter key to automatically redial:
ATDL
IMPORTANT! Do not confuse the L dial modifier with the L command that
adjusts speaker volume.

P
@SHADEAFTERDIA = Pulse dialing
If you don't specify pulse or touchtone dialing, your faxmodem will dial
calls using pulse (rotary) dialing. If you change dialing methods and want
to return to pulse dialing, include the P dialing modifier in your Dial
command line.
Type the P modifier in front of the numbers to be pulse dialed. For
example:
ATDP 555-1212
will pulse dial the telephone number 555-1212. Your faxmodem will continue
to use pulse dialing until you specify another method.
The P modifier can be used in the same Dial command as the T modifier when
both pulse and touchtone dialing methods are required. For example:
ATDP 9 W T 555-1212
could be a typical Dial command line used in a PBX situation. This command
line tells your faxmodem to use pulse dialing to dial a 9 and get an
outside line. After waiting for a dial tone (W), your faxmodem will use
touchtone dialing (T) to dial 555-1212.
T
Touchtone dialing
If you want to use touchtone dialing, type the T dialing modifier in front
of the numbers to be touchtone dialed. For example:
ATDT 555-1212
instructs the faxmodem to dial the telephone number 555-1212 using
touchtone dialing. Your faxmodem will continue to use touchtone dialing

Zoom High Speed Fax/Modem Owner's Manual....................................22

until you specify another method or turn off the faxmodem.
The T modifier can be used in the same Dial command as the P modifier when
both touchtone and pulse dialing methods are required. For example:
ATDP 9 W T 555-1212
could be a typical Dial command used in a PBX situation. This command line
tells your faxmodem to use the pulse dialing method to dial the 9 and get
an outside line. After waiting for a dial tone (W), your faxmodem is to use
the touchtone dialing method (T) to dial the remaining numbers.
W
Wait for dial tone
Include the W dialing modifier in your Dial command line to instruct your
faxmodem to wait for a second dial tone. This modifier is useful when
dialing through a PBX or a long-distance telephone service that requires
you to wait for a go-ahead tone.
Register S7 determines the maximum number of seconds your faxmodem will
wait after receiving the W dial modifier. The S7 default is 50 seconds. If
you require a longer wait time, you can either insert multiple Ws in the
command line or change the value of Register S7.
For example:
ATDT 555-1212 WWW 98756 555-2121
tells your faxmodem to dial the telephone number 555-1212, wait up to 150
seconds for a dial tone or a go-ahead tone, provide the five-digit access
code (98756), and dial the second telephone number 555-2121.
If you will be using the W command to dial through a long-distance calling
service, you will probably need only one W to allow up to 50 seconds when
waiting for the go-ahead tone.
If the W command does not work for your application, use the Comma (,)
modifier, described next.
,
Pause
The comma (,) dialing modifier instructs your modem to pause for a fixed
amount of time while dialing (default setting is 2 seconds). This modifier
is useful when dialing through a PBX or a long-distance telephone service
that requires you to wait for a go-ahead tone.
The number of seconds your faxmodem waits is specified by Register S8.
Initially, the Register S8 default is 2 seconds. If you require additional
time, you can either insert multiple commas in the command line or change
the value of Register S8.
For example:
AT D 9,,,,,555-1212
tells your faxmodem to dial a 9 and then pauses 10 seconds before dialing
the remaining digits.
If you place a comma immediately after the D command, your faxmodem will
dial the number without listening for the first dial tone. For example:
ATD, 555-1212
This feature is especially useful when your faxmodem does not recognize the
dial tone for any reason.
@
Wait for quiet
Include the @ dialing modifier in your Dial command line when you want your
faxmodem to wait for one or more rings followed by five seconds of silence
before proceeding to the next command in the Dial command line. The amount
of time the faxmodem waits for the rings is specified by Register S7. The
Register S7 default is 50 seconds.
This feature is convenient when accessing a system that does not provide a
dial tone.
A typical Dial command line containing the @ command might look like:
ATDT 555-1212 @ 555-2121
In this example, the faxmodem dials the telephone number 555-1212 using

Zoom High Speed Fax/Modem Owner's Manual....................................23

touchtone dialing, then waits the time specified in Register S7 for five
seconds of quiet. If it detects the five seconds of quiet, the faxmodem
dials the second telephone number 555-2121 after receiving five seconds of
quiet.
If your faxmodem does not receive five seconds of quiet, it hangs up,
returns to the Command Mode, and sends you the NO ANSWER response. If your
faxmodem detects a busy signal, it hangs up, returns to the Command Mode,
and sends you the BUSY response (if you are using the X3 or X4 response set).
 R
Answer (reverse) mode
Include the R dialing modifier at the end of your Dial command line to call
and set up a connection with a modem that is capable of originating calls
only (these modems are referred to as originate-only modems).
For example, to place a call to a modem set up to operate in originate
mode, you might type:
ATDT 555-1212R
After your faxmodem dials the telephone number, it immediately enters the
answer mode and emits an answer tone. The remote modem must then be set up
to respond in originate mode.
;
Return to Command Mode after dialing
Include the semicolon (;) dialing modifier at the end of your Dial command
line when you want your faxmodem to return to Command Mode after it dials a
telephone number. Your faxmodem will not connect with a remote modem, but
will hold the line for additional commands.
This feature is convenient, for example, when you want to send information
to a telephone order service or to a bank that requires additional
touchtone information to be entered. For example, you could type:
ATDT 555-1111 ;
to have your faxmodem call your local bank, and then return to the Command
Mode. The bank may then ask you for your password, which you could provide
via your keyboard. For example:
ATDT,50954;
The ; dialing modifier is also useful if you want to execute more commands
than will fit on a 40-character command line. Just type as many characters
as will fit and type ; as the last character. When you press the Enter key,
the faxmodem will execute the command line and return to Command Mode, at
which time you can type the remaining commands.
!
Initiating a hook flash
Include the ! dialing modifier when you want your faxmodem to go on-hook
for .7 second (this is known as a hook flash). The ! modifier is
equivalent to holding down the telephone switch hook for half a second.
This modifier is useful when dialing through a PBX, where a hook flash can
be used to transfer a call. In this case, the modifier can be used to
transfer a data call to another modem set up for automatic answer.
S=n
Dial a stored telephone number
The S=n dialing modifier lets you dial one of four telephone numbers stored
with the &Zn=x command (described on page 4-). The n in DSn is the number
of the directory in non-volatile memory that holds the number you want
dialed.
For example, if directory number 2 contains the telephone number:
ATDT 1 (818) 555-1111
typing ATDS=2 and pressing the Enter key tells your faxmodem to execute
this command line and dial this telephone number.
^
Turn on calling tone
The ^ dialing modifier turns on the periodic 1300 Hz calling tone if your

Zoom High Speed Fax/Modem Owner's Manual....................................24

faxmodem originates a call. Calling tone is enabled only on a call-by-call
basis.
 En
Command echo
The En command tells your faxmodem whether to echo to your computer the
commands you send during the Command Mode.
E or E0
Turns off the echo feature. Use this command when your faxmodem is
connected to a computer that is in half-duplex (echo mode), or if you are
using BBS software.
E1
Lets you see the commands you are sending to your faxmodem during the
Command Mode. Use this command with a computer that does not echo commands
for you. This is the default setting.
 Fn
On-line character echo
The Fn command tells your faxmodem whether to echo to data from your
computer during the Data Mode.
F or F0
Returns an ERROR response.
F1
Turns off the data echo feature. This is the default setting.
 Hn
Hook switch
The Hn command controls the telephone line relay.
H or H0
Place faxmodem on-hook (hang up the telephone line). If you switched from
Data Mode to Command Mode while maintaining the connection with the remote
modem (by using the escape characters or if an ON-to-OFF DTR transition
occurred with the &D1 command in effect), use this command to disconnect
and hang up the faxmodem.
H1
Place faxmodem off-hook (pick up the telephone line).

In
Information
The In command requests information from your faxmodem.
@HEADING 3A = I or I0
Tells your faxmodem to report the product code.
I1
Tells your faxmodem to compute and report a checksum on the firmware ROM.
I2
Tells your faxmodem to compute a checksum and indicate either OK or ERROR.
I3
Tells your faxmodem to report the firmware revision level.
I4
Tells your faxmodem to report on its capabilities.

 Ln
Volume control
The Ln command controls the volume of the modem's speaker.
L or L0
Selects low speaker volume.
L1
Selects low speaker volume.
L2
Selects medium speaker volume. This is the default setting.
L3
Selects high speaker volume.

Zoom High Speed Fax/Modem Owner's Manual....................................25

 Mn
Speaker control
The Mn command controls the status of the faxmodem's internal speaker.
M or M0
Speaker is turned off.
M1
@BODY TEXT NXT = Speaker is on until the remote carrier is received. This
is the default setting.
M2
Speaker is always turned on.
M3
Speaker off when remote carrier is received and when your faxmodem is
dialing. However, speaker is on during answering.
 Nn
@SHADEAFTER = Modulation handshake
The Nn command can be used to make sure a connection is made only at a
specific speed.
N or N0
Faxmodem will handshake with a remote modem only when the speed of the
connection matches the value in Register S37. If S37 = 0, the speed must
match the speed at which the last AT characters were issued.

N1Allows handshaking to occur at any speed supported by your faxmodem and the
remote modem. The B command is ignored. Automode detection is enabled,
unless the leased line command (&L1) is in effect. This is the default
setting.
 On
Go on-line
Once your faxmodem connects with a remote modem, your faxmodem can return
to Command Mode and keep the connection with the remote modem when you
issue the escape characters or when the faxmodem experiences an ON-to-OFF
DTR transition with the &D1 command in effect. You can then use the On
command to return to Data Mode.
O or O0
Returns the faxmodem to Data Mode. This is the default setting.
O1
Returns the faxmodem to Data Mode and initiates a retrain sequence. A
retrain lets your faxmodem and the remote modem evaluate the condition of
the telephone line to maximize data transmission. This command works only
when your faxmodem and the remote modem are operating at 2400 bps or
faster.
 P
Set pulse dialing as default
P
Causes the faxmodem to assume that all subsequent dial commands are pulse
dialed. You can then omit the P dialing modifier from the dial command
lines you type.
 Qn
Faxmodem responses
The Qn command determines whether your faxmodem returns asynchronous
responses.
Q or Q0
Send responses. This is the default setting.
Q1
Do not send responses. You may want to send the Q1 command if your faxmodem
is connected directly to a printer and you do not want the responses
printed. If you send this command, you will not receive an OK response.
Q2
Return responses when originating calls, not when answering calls.

Zoom High Speed Fax/Modem Owner's Manual....................................26

IMPORTANT! If you will be receiving responses from your faxmodem, also
refer to the V and X commands, which are described on pages 4- and 4-,
respectively.
 Sr?
Read Register number r
The Sr? command lets you read the value of a faxmodem register:
Type AT S, the number of the register you want to read, and a question
mark. For example, ATS0? will read the current value of Register S0.
Press the Enter key.
Your faxmodem sends the register's value to your computer in the form of a
decimal number from 0 to 255, followed by OK.
For more information on registers, refer to Chapter 5.
 Sr=n
Set Register r to the value n
All faxmodem registers have default values that take effect when you turn
on your faxmodem. Using the Sr=n command, you can change a register value.
Type ATS, the number of the register whose value you want to change, an
equals sign, and the new value. For example, ATS0=2 will change the value
of Register S0 to 2.
Press the Enter key.
Your faxmodem sends the OK response.
IMPORTANT! Do not use this command to change values for registers S1, S13,
S14, S15, S17, S20, S21, S22, S23, S24, and S27. Refer to Chapter 5 for
more information.
 T
Set touchtone dialing as default
T
Causes the faxmodem to assume that all subsequent dial commands are
touchtone dialed. You can then omit the T dialing modifier from the dial
command lines you type.
 Vn
Response format
If you receive faxmodem responses, the Vn command lets you select whether
the responses will appear as words or numbers. The faxmodem response table
on page Quick Reference- in the Quick-Reference Guide lists the faxmodem
numeric and word responses.
V or V0
Faxmodem will send numeric responses.
V1
Faxmodem will send word responses. This is the default setting.
IMPORTANT! You can use the Qn and Xn commands to control responses (refer
to pages 4- and 4-, respectively).
 Wn
Negotiation progress reporting
The Wn command lets you receive responses over and above those provided by
the Xn command (described next). These responses report the progress of the
negotiation phase of error-correction operation, specifically the carrier
speed of the remote modem, the error-correction protocol used, and the data
compression method used (if any). The faxmodem responses table in the
Quick-Reference Guide, starting with response 40, lists the extra responses
that can be enabled. For more information, refer to Register S95 in Chapter
5 and page Quick Reference- in the Quick-Reference Guide.
W or W0
@BODY TEXT NXT = Error-correction call progress responses disabled. This is
the default setting.
W1
Error-correction call progress responses enabled.
W2
Error-correction call progress responses disabled. CONNECT response

Zoom High Speed Fax/Modem Owner's Manual....................................27

reports the DCE speed.
IMPORTANT! Register S95 can override the effect of the W command.
 Xn
Faxmodem response set and compatibility
The X command selects the response set and dialing characteristics used by
your faxmodem. Table 4-2 summarizes the responses and compatibility
provided by the Xn commands. For more information, refer to Faxmodem
responses on page 4-28.
You can also use the Qn and Vn commands to control responses.
Table 4-2. X commands
Command, Connect Response, Detect Dial Tone 1, Detect Busy Signal2
X0, CONNECT, No, No
X1, CONNECT nnn, No, No
X2, CONNECT nnn, Yes, No
X3, CONNECT nnn, No, Yes
X4(default), CONNECT nnn, Yes, Yes
1, +, +, +
2, +, +, +
 Yn
Long space disconnect
The Yn command determines how your faxmodem reacts to a continuous break
signal of at least 1.6 seconds from the remote modem.
Y or Y0
Do not disconnect from remote modem when a continuous break signal is
received for at least 1.6 seconds. This is the default setting.
Y1
Disconnect from remote modem whenever a continuous break signal is received
for at least 1.6 seconds. If you send an H command to hang up the faxmodem,
the faxmodem will send silence to the remote modem for four seconds before
disconnecting. The faxmodem will also send four seconds of silence if the
&D2 command is in effect and an ON-to-OFF DTR transition occurs.
 Zn
Reset faxmodem
The Zn command resets the faxmodem. If you include other commands on the
same command line as the Zn command, make sure the Zn command is the last
command on the command line.
Resetting the faxmodem causes the following actions to occur:
The faxmodem breaks any current data connection with the remote modem.
@BULLET = All serial ports are cleared.
The last-executed command is deleted from memory, making the A/ and DL
commands ineffective until you execute your first command.
The configuration profile corresponding to the 0 or 1 parameter used with
this command is loaded.
You receive an OK response.

Z or Z0
Resets the faxmodem and loads configuration profile 0. This is the default
setting.
Z1
Resets the faxmodem and loads configuration profile 1.
 &Cn
Data Carrier Detect signal
The &Cn command controls the Data Carrier Detect (DCD) signal. The proper
use of this command depends largely on your communications software. The
faxmodem defaults to the Hayes standard, &C0. However, many communications
 programs require that the faxmodem be set to &C1 and will put this command
in the modem initialization string when you first configure the software.
&C or &C0
Forces the DCD signal active (ON) continuously. If your communications

Zoom High Speed Fax/Modem Owner's Manual....................................28

software requires the DCD signal to be ON at all times, use this setting.
This is the default setting.
&C1
The DCD signal follows the state of the data carrier from the remote modem.
 &Dn
Data Terminal Ready signal
The &Dn command determines how the faxmodem reacts to the Data Terminal
Ready (DTR) signal when a particular &Qn command is in effect. Table 4-3
shows how the faxmodem will react to an ON-to-OFF DTR transition.

Table 4-3. Data Terminal Ready transitions

&Q Command, Default, &D1 Command, &D2 Command, &D3 Command
&Q0,&Q5-&Q9, NONE, 2, 3, 4
&Q1, 1, 2, 3, 4
&Q2, 3, 3, 3, 4
&Q3, 3, 3, 3, 4

The DTR-going-OFF events corresponding to the action numbers in the above
table are:
1.
Faxmodem disconnects and sends the OK response.
2.
Faxmodem enters Command Mode if it's in Data Mode and sends the OK
response.
3.
Faxmodem disconnects, sends the OK response, and disables auto-answer while
the DTR signal is OFF.
4.
@NUMBERING TXT = Faxmodem resets (same as the ATZ command).
 &F
Restore factory profile
Your faxmodem stores the factory configuration profile settings in ROM.
You can return to these settings by sending the &F command. Your faxmodem will
then copy the settings from ROM into the registers. The Factory
Configuration Profile Table, on page Quick Reference- in the
Quick-Reference Guide, shows the factory-default settings.
 &G
Guard tones
Guard tones are not used in the United States. Your faxmodem accepts this
command, but takes no action.
 &Jn
Telephone jack type
&J or &J0
Use this setting when connecting your faxmodem to an RJ11 telephone jack.
This is the default setting.
&J1
This command is included for Hayes compatibility, but is not functional.
 &Kn
DTE/faxmodem flow control
When the computer-to-faxmodem speed is different from the data speed
between your faxmodem and the remote modem, data buffering is needed to
control the flow of data between your computer and faxmodem. The &Kn
command determines how the faxmodem controls the flow of data between
itself and the computer (DTE) to which it is locally connected.
&K or &K0
Disable flow control.
&K3
Enable RTS/CTS flow control. When the faxmodem terminal buffer is nearly

Zoom High Speed Fax/Modem Owner's Manual....................................29

full, the faxmodem will drop the Clear To Send (CTS) signal to stop data
flow. When the buffer is nearly empty, it will raise the CTS signal to
resume data flow. This is the default setting.
&K4
@BODY TEXT NXT = Enable XON/XOFF flow control. When the faxmodem
terminal
buffer is nearly full, the faxmodem will send an XOFF character to stop
data flow. When the buffer is nearly empty, it will send an XON character
to resume data flow.
&K5
Enable transparent XON/XOFF flow control. Same as &K4, but the faxmodem
will pass the XON/XOFF characters to the remote modem.
 &Ln
Dial-up or leased line
The &Ln command tells the faxmodem what type of telephone line it is
connected to. The power level will change for the type of telephone line
you select.
&L or &L0
Selects a dial-up line. This is the default setting.
&L1
Selects a leased telephone line.

&Mn
Asynchronous or synchronous operation
The &Mn command is the same as &Qn, described on the next page.
 &Pn
Make/break pulse dial ratio
The &Pn command controls the ratio of the make (off-hook)-to-break
(on-hook) interval used during pulse dialing. It does not affect touchtone
dialing.
&P or &P0
Selects a make/break ratio of 39/61 @ 10 pps. Use this setting when using
the faxmodem in the USA or Canada. This is the default setting.
&P1
Selects a make/break ratio of 33/67 @ 10 pps. Use this setting when using
the faxmodem in the UK or Hong Kong.
&P2
Selects a make/break ratio of 33/67 @ 20 pps. Use this setting when using
the faxmodem in Japan.
&Qn
Asynchronous or synchronous operation
The &Qn command configures your faxmodem for asynchronous operation or one
of three synchronous operations.
&Q or &Q0
Asynchronous operation in direct mode. The DTE speed must match the
telephone line speed.
&Q1
Faxmodem operates asynchronously in Command Mode and switches to
synchronous operation in Data Mode. The faxmodem goes on-hook and returns
to asynchronous Command Mode when an ON-to-OFF DTR transition occurs or
when the remote carrier is lost for a time exceeding the Register S10 value
(default is 1.4 seconds). Use this command with terminals that can
communicate both asynchronously and synchronously.
&Q2
An OFF-to-ON DTR transition causes the faxmodem to automatically dial the
telephone number stored with the &Z0 command, then switch to synchronous
operation. The faxmodem goes on-hook and returns to asynchronous Command
Mode when an ON-to-OFF DTR transition occurs or when the remote carrier is
lost for a time exceeding the Register S10 value (default is 1.4 seconds).

Zoom High Speed Fax/Modem Owner's Manual.................................30

&Q3
Allows DTR to act as a talk/data switch. With this command, you manually
dial a call with DTR OFF. After the last telephone number is dialed, turn
on DTR to switch to Data Mode. The faxmodem goes on-hook and returns to
asynchronous Command Mode when an ON-to-OFF DTR transition occurs or when
the remote carrier is lost for a time exceeding the Register S10 value
(default is 1.4 seconds).
&Q4
The faxmodem accepts this command, but takes no action.

&Q5
Negotiate an error-correction link in accordance with the settings of
Registers S48 and S36. If the link cannot be negotiated, the faxmodem will
either disconnect or fallback to a normal asynchronous connection,
depending on the Register S36 value. This is the default setting.
&Q6
Selects asynchronous operation in normal mode (speed buffering).
&Q7
Faxmodem sends the OK response, but takes no action.
&Q8
Faxmodem acts as if Register S48 equals 128.
&Q9
Faxmodem acts as if the &Q5 command is in effect, with Register S48 equal
to 7 and Register S46 equal to 138.
 &Rn
Clear To Send signal
The &Rn command controls the Clear To Send (CTS) signal during synchronous
operation only. Your faxmodem keeps the CTS signal always ON during the
asynchronous Command and Data Modes.
&R or &R0
CTS signal tracks the Request To Send (RTS) signal. When the faxmodem
detects an OFF-to-ON RTS transition from the computer or terminal to which
it is directly connected, the faxmodem will wait the period of time
specified by Register S26 (default is .01 second) and then turn on the CTS
signal. When the RTS signal is turned OFF, the CTS signal follows,
regardless of the Register S26 value. You can use this artificial RTS/CTS
delay to emulate half-duplex operation when operating synchronously. It
allows communication with a DTE that cannot handle instantaneous turnaround
time of full-duplex operation. This is the default setting.
&R1
The faxmodem ignores the RTS signal and keeps the CTS signal active
continuously, regardless of the status of the RTS signal.
 &Sn
Data Set Ready signal
The &Sn command determines how your faxmodem treats the Data Set Ready
(DSR) signal. The proper use of this command depends largely on your
communications software.
&S or &S0
Forces the DSR signal active (ON) continuously. If your communications
software requires the DSR signal to be present at all times, use this
setting. This is the default setting.
&S1
Instructs your faxmodem to turn on the DSR signal when it performs the
handshaking sequence with the remote modem. This command may be required
when using the faxmodem in applications that treat the faxmodem as strictly
a data modem without intelligent capabilities.

&Tn
Test modes

Zoom High Speed Fax/Modem Owner's Manual.................................31

The &Tn command initiates a variety of faxmodem tests. If you want to
include this command with other commands, this command must be the last
command in the command line. For testing information, refer to Chapter 10.
IMPORTANT! Do not attempt these tests without reading Chapter 10.
&T or &T0
End the test in progress. If you are performing the Local Analog Loopback
Test (&T1) or Remote Digital Loopback Test (&T6), send the escape
characters (+++) before sending this command.
&T1
Initiate the Local Analog Loopback Test. This test verifies the path
between your DTE and faxmodem. Your faxmodem loops back characters received
from the local DTE.
&T3
Initiate the Local Digital Loopback Test. Your faxmodem loops back
characters received from the remote modem.
&T4
Allows your faxmodem to respond to a remote modem's request for a Remote
Digital Loopback Test. This is the default setting.
&T5
Ignore remote modem requests for a Remote Digital Loopback Test.
&T6
Initiate a Remote Digital Loopback Test. Characters received from your DTE
are sent to the remote modem and looped back to your faxmodem and DTE. This
test verifies your DTE and faxmodem, the remote modem, and the telephone
line in between.
&T7
Initiate a Remote Digital Loopback Test with Self-Test. This test is
identical to &T6, but uses a modem-generated test pattern rather than
characters entered via the DTE keyboard. The faxmodem increments an
internal error counter each time an error is detected. At the end of the
test, a three-digit error count is sent to the DTE.
&T8
Initiate a Local Analog Loopback Test with Self-Test. This test is
identical to &T1, but uses a modem-generated test pattern rather than
characters entered via the DTE keyboard. The faxmodem increments an
internal error counter each time an error is detected. At the end of the
test, a three-digit error count is sent to the DTE. This test provides a
thorough evaluation of your faxmodem's transmit and receive functions,
without requiring a remote modem connection.
 &V
View active configuration
The &V command lets you display on your computer screen the active profile,
the profiles stored in non-volatile memory positions 0 and 1, and any
stored telephone numbers.
Figure 4-1 shows a typical display when this command is sent.

 &Wn
Store user profile n
Using the &Wn command, you can store two configuration profiles. The n is
either the number 0 or 1 and corresponds to a particular profile.
The following commands can be stored: Bn, En, Ln, Mn, Nn, P or T dial
modifiers, Qn, Vn, Wn, Xn, Yn, &Cn, &Dn, &Gn, &Jn, &Kn, &Pn, &Qn, &Rn,
&Sn, &T4, &T5, and &Xn.
The following registers can have their values stored: S0, S2 through S12,
S14 and S15, S18, S21 through S23, S25 through S41, S44, S46, S48 through
S50, S82, S86, S91, and S95. For information on these registers, refer to
Chapter 5.
You can also store telephone numbers stored with &Z0, &Z1, &Z2, ands &Z3.
The following example will show you how this command works. Assume, for

Zoom High Speed Fax/Modem Owner's Manual.................................32

example, that you want to save the following commands in profile 0:
X3, E0, S0=2, S5=30, &D2, &L0, &C1
To do so, you would:
Type AT followed by these commands. You may use spaces if you wish, but not
commas.
Include the &W0 command as the last command.
Press the Enter key.
This configuration is now saved as the first configuration profile (denoted
by the 0 following the &W command).
If you want to store more commands than will fit on the command line, enter
as many commands as possible and press the Enter key. Then enter the
remaining commands. Be sure to include the &Wn command as the last command
in the final command line that comprises the configuration profile.
Use the Zn and &Yn commands, described on pages 4- and 4- respectively, to
control which stored profile is used.
&Xn
Synchronous clock source
The &Xn command pertains to synchronous operation. Your faxmodem ignores
this command during asynchronous operation.
&X or &X0
Faxmodem will send its internal clocking signal on EIA pin 15 of its
RS-232-C connector. This is the default setting.
&X1
Faxmodem will accept an externally provided clocking signal from your DTE
on EIA pin 24 of the faxmodem's RS-232-C interface.
&X2
Faxmodem will derive the clocking signal from the incoming carrier signal
and relay the clocking signal on EIA pin 15 of its RS-232-C connector.
 &Yn
Select user profile
The &Yn command selects an active configuration profile after the faxmodem
is turned on.
&Y or &Y0
Faxmodem will use the configuration settings stored in profile 0 as its
active configuration profile when the faxmodem is turned on. This is the
default setting.
&Y1
Faxmodem will use the configuration settings stored in profile 1 as its
active configuration profile when the faxmodem is turned on.
 &Zn=
Store a telephone number
The &Zn= command lets you store up to four telephone numbers in the
faxmodem's nonvolatile memory, which you can later dial asynchronously
using the DS=n command.
In the &Zn command, the n is a number between 0 and 3. This is the number
under which the telephone number will be stored. The actual telephone
number is entered after the equals sign.
The Dial command line can also contain the # and * characters for touchtone
dialing, as well as the P, R, T, W, ^, ;, @, !, and , modifiers. For
example:
AT &Z1= 1 T 1 213 555-1212
The faxmodem can store up to 36 characters, and ignores spaces. If you
insert more than 36 characters, any characters after the 36th are
truncated.

Notes

Chapter 5
Configuring Your Faxmodem Parameters

Zoom High Speed Fax/Modem Owner's Manual.................................33

Chapter 5 describes the purpose of the faxmodem's S registers. Topics
include:
Reading register values
Changing register values
Accessing the same register repeatedly
A sequential list of all S registers
Overview
Your faxmodem's settings are stored in S registers. Each register has a
default value, which you can use or change to fit your particular
requirements. If you want to change the faxmodem's operating
characteristics, you need only change the value of the appropriate
register.
Alternatively, you can use the faxmodem commands described in Chapters 4
and 7 to change the faxmodem's operating characteristics. When you send a
faxmodem command, the command changes the value of the appropriate S
register.
Table 5-1 lists the faxmodem's registers and summarizes their functions. If
the register has a default value that takes effect when the faxmodem is
turned on or reset, the value appears in the Default Value column. For more
information about a particular register, refer to the page number that
appears in the Refer to Page column.

Table 5-1. S registers
Register, Range, Default Value, Function

REGISTER, RANGE, DEFAULT VALUE, FUNCTION
S0, 0-255 rings , 0, Rings to auto-answer calls-
S1, 0-255 rings, 0 , Count number of incoming rings-
S2, 0-127 ASCII, 43, Escape characters-
S3, 0-127 ASCII, 13, Carriage return character-
S4, 0-127 ASCII, 10, Line feed character -
S5, 0-32 ASCII, 8, Backspace character-
S6, 2-255 seconds, 2, Dial tone wait time-
S7, 1-255seconds, 50, Wait time for remote carrier-
S8, 0-255 seconds, 2, Comma pause time-
S9, 1-255 1/10 second, 6, Carrier detect response time-
S10, 1-255 1/10 second, 14, Delay time between loss of remote carrier and
hang up-
S11 0-255 1/1000 second, 95, DTMF dialing speed-
S12, 0-255 1/50 second, 50, Escape guard time-
S13, Reserved, , ,
S14, Bit Mapped, , ,
S15, Reserved, , ,
S16, Bit Mapped Test Options, , -
S17, Reserved, , ,
S18, 0-255 seconds, 0, Modem test timer-
S19 S20, Reserved, , ,
S21, Bit Mapped, , -
S22, Bit Mapped, , -
S23, Bit Mapped, , -
S24, Reserved, , ,
S25, 0-255 seconds or 1/100 seconds, 5, Data Terminal Ready delay-
S26, 0-2551/100 seconds, 1, RTS-to-CTS delay-
S27, Bit Mapped, , -
S28 S29, Reserved, , ,
S30, 0-25210-second intervals, 0, Inactivity timer value-
S31 S35, Reserved, , ,
S36, 0-7, 7, Negotiation failure treatment-
S37, 0-12, 0, Desired DCE line speed-

Zoom High Speed Fax/Modem Owner's Manual.................................34

S38, 0-255seconds, 20, Delay before forced disconnect-
S39, Reserved, , ,
S40, Bit Mapped, , -
S41, Bit Mapped, , -
S44, Reserved, , ,
S46, 136 or 138, 138, Data compression selection-
S48, 0, 7, 128, 7, V.42 negotiation action-
S82, 3, 7, 128, 128, Break-handling options-
S86, 0, 4,, 9, 12, 13, 14, NONE, Connection failure response code-
S91, 0, 1, 2-15, 0, Programmable/ leased line transmit level-
S95, 0-255, 0, Extended responses-
Reading a register value
To read the current value of a register:
From Command Mode, type Sr? and press the Enter key (where r is the number
of the register whose value you want to read).
Your faxmodem responds with the decimal value of the register, in
three-digit form, followed by OK.
To read values from more than one register:
From Command Mode, type AT Sr? Sr? and press the Enter key. For example, to
read the values of Registers S0 (auto-answer after the number of rings
specified by this register value) and S1 (the number of incoming rings),
type AT S0? S1? from the Command Mode and press Enter.
Your faxmodem displays the first register value, a carriage return, the
next register value, a carriage return, and OK.
Changing a register value
To change a register value, use the Sr=n command, where r is a register
number and n is the new value you want to assign to the register.
For example, to have your faxmodem automatically answer incoming calls
after the second ring:
From Command Mode, type AT S0=2 and press the Enter key.
Your faxmodem responds with OK and changes the register value. The value
remains in effect until you turn your faxmodem off and on, or reset it;
your faxmodem then reverts to its default register values (in this case,
Register S0 returns to a value of 0, disabling auto-answer).
Accessing a register repeatedly
Your faxmodem automatically places a pointer at the last register whose
value you read or changed. The pointer provides a fast way of displaying or
changing register values.
For example:
To read the value of Register S0, type AT S0? and press the Enter key.
Your faxmodem displays the value of Register S0 followed by OK, and places
a pointer at that register.
To change the value in Register S0 to 0, type AT=0 and press Enter. You do
not have to specify the S command or the register number; the pointer
handles this for you.
Register S0 is assigned the new value and the faxmodem sends you the
response OK (or 0).
To read the S0 value, type AT ? and press Enter.
@RESULT = The value of Register S0 appears on the computer screen, followed
by the response OK.
IMPORTANT! The pointer remains set at the last register you accessed
(Register S0 in the examples above) until you use the S command to read or
change the value of a different register; the pointer is then set to the
new register.



Sequential list of registers
Register S0 Auto answer

Zoom High Speed Fax/Modem Owner's Manual.................................35

Range: 0 to 255 rings
Default: 0
Register S0 is the auto-answer register. Assigning a value from 1 to 255
tells your faxmodem the number of rings that must occur before it can
automatically answer incoming calls. The default value of 0 turns off the
automatic answer feature.
IMPORTANT! The AA LED on the external faxmodem will go ON when this
register has a value greater than 0.
Register S1 Count incoming rings
Range: 0 to 255 rings
Default: 0 rings
Register S1 counts the number of incoming rings. When the value in this
register equals the value in Register S0, your faxmodem answers the
telephone automatically.
If no rings occur for 8 seconds, the value of this register is cleared.
Register S2 Escape character
Range: 0 to 127 ASCII
Default: 43 (+)
Register S2 sets the ASCII value of the escape character. This is the
character you type three times to switch from Data Mode to Command Mode
while maintaining the connection with the remote modem.
The default value (43) is equivalent to the ASCII character +. You can
change this register to any value from 0 to 255. Values greater than 127
disable the escape feature, preventing you from returning to the Command
Mode.
If you will be using your faxmodem to auto-answer incoming calls, you might
want to either disable the escape characters or set them to a value other
than that used by the originating faxmodem, so that the use of the escape
sequence by the calling computer won't make your computer switch to Command
Mode.
If you disable the escape characters, you can return to Command Mode by
having the remote modem hang up, or by having an ON-to-OFF transition of
the Data Terminal Ready (DTR) interface signal occur with the &D1, &D2, or
&D3 command in effect.
Register S3 Carriage return character
@SHORT INDENT = Range: 0 to 127 ASCII
Default: 13 (CTRL-M)
Register S3 sets the ASCII value of the carriage return (or end- of-line)
character. This is the character that you use to end the command line and
also the character that appears after your faxmodem sends you a response.
The default value is 13, although you can change it to another ASCII value
between 0 and 127. You may want to change the default value if you are
using nonstandard equipment.
To change the value, enter the decimal equivalent of the new ASCII
character, from 0 to 127.
Register S4 Line feed character
Range: 0 to 127 ASCII
Default: 10 (CTRL-J)
Register S4 sets the ASCII value of the line feed character. The default
value is 10, although you can change it to another ASCII value between 0
and 127.
Your faxmodem sends the line feed character after sending a carriage return
character when sending word responses (that is, when the V1 command is in
effect). However, it is not sent with most number responses.
To change the value, enter the decimal equivalent of the new ASCII
character, from 0 to 127.
If you do not want to receive a line feed character, you can change the
value in this register to a 0, but you cannot disable line feed characters.
Register S5 Backspace character

Zoom High Speed Fax/Modem Owner's Manual.................................36

Range: 0 to 32 ASCII
Default: 8 (CTRL-H)
Register S5 sets the ASCII value of the backspace character. This character
is both the character created by pressing the Backspace key and the
character echoed to move the cursor to the left.
The default value is 8. To change the value, enter the decimal equivalent
of the ASCII character, from 0 to 32. Do not enter a value between 33 and
126 because these values are equivalent to a printable ASCII character and
your faxmodem will not recognize the character as a backspace character.
When you press the Backspace key, the following actions occur:
Your faxmodem echoes the backspace character to your computer if the E1
command is in effect.
An ASCII space character is sent to your computer screen.
A second backspace character is echoed to your computer if the E1 command
is in effect.
This makes a total of three characters that are sent by your faxmodem each
time you press the Backspace key. As a result, refrain from pressing the
Backspace key multiple times when in Command Mode.
Register S6 Wait time for blind dialing
Range: 2 to 255 seconds
Default: 2 seconds
When your faxmodem executes a Dial command line with the X0, X1, or X3
response set in effect, Register S6 tells your faxmodem how long to wait
after going off-hook before it dials the first digit in the Dial command
line.
The default value is 2 seconds, although you can change it to another value
between 2 and 255 seconds. If you set the value of this register for less
than two seconds, your faxmodem will still wait two seconds before dialing.
This register is useful when it takes longer than two seconds to obtain a
dial tone.
If your faxmodem does not detect a dial tone when the time in Register S6
elapses, you will receive the NO DIALTONE response.
IMPORTANT! This register is ignored when the X2 or X4 command is in effect.
When either of these commands is in effect, your faxmodem will wait up to
five seconds for a dial tone and begin dialing as soon as one is detected.
Register S7 Wait time for carrier
Range: 1 to 255 seconds
Default: 50 seconds
Register S7 tells your faxmodem how many seconds to wait for a remote
modem's carrier signal before hanging up. This register also specifies the
amount of time the faxmodem will wait when the W dialing modifier is
included in a Dial command line.
IMPORTANT! The default value is 50 seconds, although you can change it to a
value between 1 and 255 seconds. You may want to increase the value of this
register if your faxmodem does not detect a carrier within the specified
time.
IMPORTANT! If you configure your faxmodem for leased-line operation (&L1),
your faxmodem will ignore this register and wait indefinitely for the
remote carrier. This provides sufficient time for the operators at each end
of the leased line to make a connection.
Register S8 Pause time for comma
Range: 0 to 255 seconds
Default: 2 seconds
Register S8 tells your faxmodem how many seconds to pause for each comma
(,) it encounters in a Dial command line. You might use the comma when
dialing through a PBX or other special telephone service to wait for an
outside telephone line.
The default value is 2 seconds, although you can change it to a value
between 0 and 255 seconds. An alternative to changing this register value

Zoom High Speed Fax/Modem Owner's Manual.................................37

is to include more than one comma in your command line.
Register S9 Carrier detect time
Range: 1 to 255 tenths of a second
Default: 6 (0.6 second)
Register S9 tells your faxmodem how long the remote modem's carrier signal
must be present for your faxmodem to recognize it as a legitimate carrier
signal.
The value of this register is in tenths of a second. The default value is
600 milliseconds. This value requires your faxmodem to listen to the
carrier signal for at least 0.6 seconds before recognizing it.
Increasing the time in this register reduces the chances that your faxmodem
will mistake noise such as a busy signal, ring, or voice for a carrier
signal. For example, entering a value 15 means that the remote modem's
carrier signal must be present for 1.5 seconds for your faxmodem to
recognize it.
IMPORTANT! Do not confuse this register with Register S7, which determines
how long the faxmodem is willing to wait until it hears the signal begin.
Register S10 Carrier loss time
Range: 1 to 255 tenths of a second
Default: 14 (1.4 seconds)

Register S10 sets the time between the loss of a remote modem's carrier
signal and when your faxmodem disconnects. This allows the remote modem's
carrier signal to momentarily disappear from the telephone line without
your faxmodem disconnecting.
The value of this register is in tenths of a second. The default value is
14 (equal to 1400 milliseconds), although you can change it to a value from
1 to 255. You may want to set this value higher if you have a noisy
telephone line that might interfere with the remote modem's carrier signal.
If you want your faxmodem to ignore the Data Carrier Detect (DCD) status
and act as if the remote modem's carrier signal is always present, set the
value to 255.
Setting the value smaller than the value in Register S9 causes your
faxmodem to disconnect when it detects a momentary carrier loss, because
Register S10 expires before the carrier response time expires.
IMPORTANT! If Call Waiting service from your telephone company is breaking
your faxmodem connections, increasing this register value to 100 (10
seconds) at both your faxmodem and the remote modem should solve the
problem.
Register S11 Touchtone dialing speed
Range: 50 to 255 thousandths of a second
Default: 95 thousandths of a second
Register S11 controls the speed that numbers are dialed using the touchtone
(DTMF) dialing method. The default value is 95 milliseconds, although you
can set it to a value from 50 to 255.
Increasing the value slows the dialing rate. To ensure reliable dialing,
you should not select a value less than 50 milliseconds.
IMPORTANT! Register S11 has no effect on pulse dialing.
Register S12 Escape character guard time
Range: 0 to 255 fiftieths of a second
Default: 50 (1 second)
Register S12 controls the time delay required before and after you enter
the three escape characters. The guard time prevents your faxmodem from
misinterpreting the escape characters as data.
This value is designated in measurements of 20 milliseconds ( of a second).
The default value is 50, which is equivalent to one second.
If you desire, you can change the value to between 20 (.4 seconds) to 255
(5.1 seconds). Increasing this value reduces the chance that miscellaneous
transmitted data will be mistaken for escape characters; it also makes

Zoom High Speed Fax/Modem Owner's Manual.................................38

using the escape characters more time-consuming, however, when you use them
to switch into the Command Mode.
If you assign a small value to this register, you may be unable to enter
the three escape characters fast enough especially if the guard time is
less than the time it takes to transmit one character at the current
transmission speed.
IMPORTANT! If Register S12=0, there will be no time requirement for
entering the escape character sequence.
Register S13 Reserved

Register S14 Bit-mapped register
Bit, Function, Parameters, Related Command
0, Data Mode echo, 0disabled1enabled, F1F0
1, Command echo, 0do not echo commands1echo commands, E0E1
2, Faxmodem responses, 0send responses1do not send responses, Q0Q1
3, Response format, 0number responses1word responses, V0V1
4, Reserved
5, Dialmethod, 0touchtone1pulse, TP
Bit 5 is set if your Dial (D) command line contains the P (pulse dial)
command. It is cleared if your Dial command line contains the T
(Touch-Tone) command. If you send a Dial command to your faxmodem without
specifying P or T,, the faxmodem uses the last dialing method specified.
Pulse dialing is the default
TABLE TEXT, TABLE TEXT1, TABLE TEXT1, TABLE TEXT
6, Faxmodem responses, 0send/don't send responses 1send responses,, when
originating calls only,, not when answering, Q0,, Q1Q2
7, Originate/answer, 0answer incoming calls1originate calls, A,, RD
Defaults are shown in bold.
Register S15 Reserved
Register S16 Faxmodem tests
Register S16 indicates which test procedure is in progress.
IMPORTANT! Read Chapter 10 before attempting to use the &T command.
Bit, Function, Parameters, Related Command
0, Local Analog Loopback, 0disable test1enable test, &T1
1, Reserved
2, Local Digital Loopback, 0disable test1enable test, &T3
3, Remote Digital Loopback with a remote modem that started the test, 0not
in test mode1in test mode,
4, RemoteDigital Loopback, 0disable test1enable test, &T6
5, Remote Digital Loopback with Self-Test, 0disable test1enable test, &T7
6, Local Analog Loopback with Self-Test, 0disable test1enable test, &T8
7, Reserved
Register S17 Reserved
Register S18 Test timer
Range: 0 to 255 seconds
@SHORT INDENT = Default: 0
Register S18 sets the amount of time for the faxmodem tests. The tests can
run from 1 to 255 seconds, depending on the value in this register.
This register defaults to a value of 0, which turns off the timer. If you
use the command &T0 to end faxmodem tests, you do not automatically set the
value of this register to zero.
For more information, refer to Chapter 10.
Register S19 Reserved
Register S20 Reserved
Register S21 Bit-mapped register
Bit, Function, Parameters, Related Command
0, Telephone jack, 0RJ11 telephone jack 1RJ12 or RJ13 telephone jack,
&J0&J1
1, Reserved

Zoom High Speed Fax/Modem Owner's Manual.................................39

2, RTS/CTS options, 0CTS signal tracks the RTS signal when faxmodem is
on-line 1CTS forced ON, &R0&R1
3,, 4, DTR options, 0123, &D0&D1&D2&D3
5, DCD options, 0DCD signal is forced ON1DCD follows true state of remote
carrier, &C0&C1
6, DSRoptions, 0DSR signal is forced ON 1DSR is ON when handshaking,, OFF
in test mode or idle state, &S0&S1
7, Long space disconnect, 0Disabled1Enabled, Y0Y1
Defaults are shown in bold.
Register S22 Bit-mapped register
Bit, Function, Parameters, Related Command
0,, 1, Speaker volume, 0low volume1low volume2medium volume 3high
volume, L0L1L2L3
2,3, Speaker status, 0speaker disabled1speaker on until carrier is
detected2speaker always on3speaker on during answering, M0M1M2M3
4,, 5,, 6, Faxmodem responses, 0Hayes Smartmodem compatibility4include
CONNECT responses5same as 4 plus dial tone detection6same as 4 plus busy
signal detection7same as 6 plus busy signal and dial tone detection,
X0X1X2X3 X4
7, Make/break ratio, 039/61 for USA133/67 for UK and Hong Kong, &P0&P1
Defaults are shown in bold
Register S23 Bit-mapped register
Bit, Function, Parameters, Related Command
0, Grant remote modem request for Remote Digital Loopback,
0disabled1enabled, &T5&T4
1,, 2,, 3, Baud rate, 0110 or 300 bps21200 bps32400 bps 44800 bps59600
bps619200 bps738400 bps, AT
4,, 5, Parity, 0even 1space2odd3mark or none, AT
6,, 7, Guard tones, 0disabled, &G0
Defaults are shown in bold.
Register S24 Reserved
Register S25 Data Terminal Ready delay
Range: 0 to 255 second
Default: 5
If the &Q1 or &Q4 command is in effect, this register specifies the time
the faxmodem waits after connecting with a remote modem before looking for
the Data Terminal Ready (DTR) signal. This delay allows the faxmodem to
ignore ON-to-OFF DTR transitions, giving you time to disconnect the
faxmodem from an asynchronous terminal and attach it to a synchronous
terminal without forcing it to disconnect and return to Command Mode. In
these situations, this register value is specified in seconds and the
default value is 5 seconds.
When any other &Q command is in effect, your faxmodem ignores DTR
transitions (either ON or OFF) lasting less than the value of this
register. In these situations, the values for this register are 0 to 255 in
hundredths of a second, and the default value is .05 seconds.
Register S26 RTS-to-CTS delay
Range: 0 to 255 second
Default: 1
Register S26 pertains to synchronous operation only. It is used when the
&R0 command is in effect, allowing the Clear To Send (CTS) signal to track
the Request To Send (RTS) signal. This register value specifies how long
the faxmodem waits after an OFF-to-ON RTS transition before turning on the
CTS signal.
Register S27 Bit-mapped register
Bit, Function, Parameters, Related Command
0,, 1,, 3, Asynchronous/synchronous operation, 0asynchronous
operation1synchronous operation after dialing asynchronously2synchronous
terminal support3manually originate synchronous call4command accepted,,

Zoom High Speed Fax/Modem Owner's Manual.................................40

but no action taken5negotiate an error-connection link6asynchronous
operation in normal mode (speed buffering)7command accepted,, but no
action taken, &Q0&Q1&Q2&Q3&Q4&Q5&Q6&Q7
2, Line type, 0Dial-up line1Leased line, &L0&L1
4,5, Synchronous timing source, 0faxmodem provides synchronous transmit
clock on EIA pin 151faxmodem accepts external synchronous clock2faxmodem
derives synchronous transmit clock from the incoming carrier signal and
relays it on EIA pin 15., &X0&X1&X2
6, CCITT compatibility, 0CCITT V.22/V.22bis operation1 Bell operation,
B0B1
7, Reserved
Register S28 Reserved
Register S29 Reserved
@HEADING 2 = Register S30 Inactivity timer
Range: 0 to 252 10-second intervals
Default: 0
Register S30 determines how much time of data inactivity must elapse in
order for your faxmodem to disconnect from a remote modem. If no data is
sent or received by your faxmodem within the time specified by this
register, the faxmodem will automatically disconnect from the remote modem
and return to Command Mode. Your faxmodem begins counting as soon as you
receive the CONNECT response.
The default setting of 0 disables this function. To enable it, enter a
value between 1 and 252. For example, 6 would equal one minute.
For more information on the inactivity timer, refer to the \T command in
Chapter 7.
IMPORTANT! This register is ignored when the &Q0 command is in effect.
Registers S31 S35 Reserved
Register S36 Negotiation fallback
Range: 0 to 7
Default: 7


Register S36 specifies the action that your faxmodem is to perform when the
initial error-control negotiation fails. The faxmodem will use this
register value only when Register S48 has a value of 128 or when the
faxmodem fails to make a V.42 connection with a remote modem. Table 5-2
shows what actions are taken for each register value.
IMPORTANT! The \Nn command affects the value of this register.
Table 5-2. Negotiation fallback actions (Register S36)
S36=0, Faxmodem hangs up.
S36=1, Faxmodem stays on-line and attempts an asynchronous (direct mode)
connection.
S36=2, Reserved
S36=3, Faxmodem stays on-line and attempts an asynchronous (normal mode)
connection.
S36=4, Faxmodem attempts an MNP connection and if it fails,, the faxmodem
hangs up.
S36=5, Faxmodem attempts an MNP connection and if it fails,, the faxmodem
attempts an asynchronous (direct mode) connection.
S36=6, Reserved
S36=7, Faxmodem attempts an MNP connection and if it fails,, attempts an
asynchronous (normal mode) connection.
Register S37 Desired DCE line speed
Range: 0 to 12
Default: 0
If the N0 command is in effect, Register S37 determines the speed at which
your faxmodem will attempt to connect with the remote modem. If a
connection cannot be made at this speed, the faxmodem will hang up.

Zoom High Speed Fax/Modem Owner's Manual.................................

Table 5-3 shows the DCE speeds you can specify with this register.
Table 5-3. Desired DCE speeds (Register S37)
Register S37 Value, Desired DCE Speed
S37=0, Faxmodem attempts to connect at the speed of the last AT command
issued. For DTE speeds greater than the maximum carrier speed supported by
the faxmodem,, the faxmodem will attempt to connect at the maximum carrier
speed.
S37=1, Faxmodem attempts to connect at 300 bps.
S37=2, Faxmodem attempts to connect at 300 bps.
S37=3, Faxmodem attempts to connect at 300 bps.
S37=4, Reserved
S37=5, Faxmodem attempts to connect at 1200 bps.
S37=6, Faxmodem attempts to connect at 2400 bps.
S37=7, Reserved
S37=8, Faxmodem attempts to connect at 4800 bps.
S37=9, Faxmodem attempts to connect at 9600 bps.
S37=10, Faxmodem attempts to connect at 12000 bps (V.32bis only).
S37=11, Faxmodem attempts to connect at 14400 bps (V.32bis only).
S37=12, Faxmodem attempts to connect at 7200 bps (V.32bis only).


Register S38 Delay before forced hang up
Range: 0 to 255 seconds
Default: 20
Register S38 specifies how long your faxmodem waits after receiving the H
(hang up) command or a DTR transition before disconnecting from the
telephone line during an error-correction connection. You can assign a
value to this register to ensure that data in your faxmodem's buffer will
be sent to the remote modem before your faxmodem disconnects.
If you assign a value greater than zero, your faxmodem will wait that
number of seconds for the remote modem to acknowledge reception of all data
buffered in your faxmodem's memory. If the time expires before all data is
sent to the remote modem, you will receive the NO CARRIER response to
indicate that data has been lost. If all data is sent before your faxmodem
hangs up, you will receive OK in response to your sending the H command or
experiencing a DTR transition.
IMPORTANT! If you assign a value of 255, the faxmodem will not hang up, but
will wait indefinitely for all data to be sent to the remote modem.
Register S39 Reserved
Register S40 Bit-mapped register
Bit, Function, Related Command
0,, 1, Type of asynchronous connection., \Nn
2,, 3,, 4, Break control, \Kn
5,, 6, Maximum MNP block size, \An
7, Modem-to-modem flow control, \Gn
Register S41 Bit-mapped register
Bit, Function, Related Command
0, V.42bis/MNP5 compression control, %Cn
1, Enable/disable auto-retrain, %En
2, MNP block transfer, \Ln
3,, 4,, 5,, 6,, 7, Reserved
Register S44 Reserved
Register S46 Data compression selection
Range: 136 or 138
Default: 138
Register S46 allows you to disable data compression while using error
correction. By default, data compression is enabled, but setting Register
S46 to 136 will disable data compression.
In addition to V.42bis, your faxmodem also implements MNP 5 data

Zoom High Speed Fax/Modem Owner's Manual.................................41

compression. V.42bis is used only with LAPM, and MNP 5 is used only with
MNP 4.
Register S48 V.42 negotiation action
Range: 0, 7, or 128
Default: 7
If you know the capabilities of the remote modem, you can use Register S48
to either customize the negotiation to the remote modem's requirements or
bypass the negotiation sequence entirely.
The default value (7) enables negotiation.
If you want to disable negotiation, set this register to value zero. Your
faxmodem will then bypass the detection and negotiation phases and proceed
with LAPM.
The value 128 instructs your faxmodem to disable negotiation, bypass the
detection and negotiation phases, and immediately fall back to the action
specified in Register S36. This value can be used to force an MNP
connection.
IMPORTANT! The \Nn command affects the value of this register.
Register S82 Break handling options
Range: 3, 7, or 128
Default: 128
Register S82 specifies the way that a break is sent to the remote modem.
LAPM specifies three types of breaks:
In sequence
Expedited
Destructive
Table 5-4 shows the various breaks defined by this register's values.
Table 5-4. Break handling options (Register S82)
Register S82 Value, Break Action
S82=3, Expedited. Your faxmodem sends a break signal immediately. Data
integrity is maintained before and after the break signal.
S82=7, Destructive. Your faxmodem sends a break signal immediately. Data
being processed by your faxmodem and the remote modem is destroyed.
S82=128, In Sequence. Your faxmodem sends a break signal in sequence with
any transmitted data. Data integrity is maintained both before and after
the break.
Register S86 Connection failure response codes
Range: 0, 4, 5, 9, 12, 13, 14
Default: None
When your faxmodem sends you a NO CARRIER response, it sends a value to
Register S86. You can then read the value of this register to determine the
reason for the failed connection. Note that this register records the first
cause of a NO CARRIER response.
Table 5-5 shows the values for this register and their corresponding
meanings.
Table 5-5. Connection failure response codes (Register S86)
Register S86 Value, Meaning
S86=0, Normal disconnect,, no error occurred.
S84=4, Loss of carrier.
S86=5, V.42 negotiation failed to detect an error-correction modem at the
remote location.
S86=9, Your faxmodem and the remote modem could not find a common protocol.
S86=12, Normal disconnect initiated by the remote modem.
S86=13, Remote modem does not respond after 10 retransmissions of the same
message.
S86=14, Protocol violation.


Register S91 Programmable/leased line transmit levels
Range: 0 to 15

Zoom High Speed Fax/Modem Owner's Manual.................................42

Default: 0
Register S91 allows the transmit level to be adjusted from 0dBm to 15dBm
in 1dB increments for both asynchronous and synchronous operation. This S
register takes effect when Japanese parameters are enabled or when the
faxmodem is configured for leased-line operation (the &L1 command is in
effect).
Table 5-6 shows how this register's value can be used to control transmit
levels.
Table 5-6. Programmable/leased line transmit levels (Register S91)
Register S91 Value, Transmit Level
S91=0, 0dBm
S91=1, 1dBm
S91=2toS91=13, 2dBmto13dBm
S91=14, 14dBm
S91=15, 15dBm (default value for Japan)

IMPORTANT! Once a data connection is made, the transmit level cannot be
changed. However, it may be set for future calls. The transmit level should
not exceed 9dBm for back-to-back operation.

Register S95 Bit-mapped register
Bit, Function
0, The CONNECT response will reflect the DCE speed rather than the DTE
speed.
1, If an error-correcting connection is made,, /ARQ is added to the end
of the CONNECT response.
2, Enable the CARRIER responses.
3, Enable the PROTOCOL responses.
4, Reserved
5, Enable the COMPRESSION responses. If one-way operation is used,, a /T
or /R will be appended to the responses,, depending on whether the
compression is applied to transmitted or received data,, respectively.
6, Reserved
7, Reserved
Note: When the bits in this register are set to 1,, the corresponding
negotiation progress responses will be enabled,, no matter how the ATWn
command is set. For example,, to enable bits 2,, 3,, and 5,, write the
corresponding bits in binary notation,, starting with bit 7: 0010 1100.
This number is 44 in decimal notation,, so the command would be ATS95=44.,
Chapter 6
Dialing and Answering
This chapter describes the faxmodem commands used to originate and answer
calls when your computer or terminal is in terminal mode. The manual that
came with your communications software should explain how to enter terminal
mode.
Dialing topics in this chapter include:
Originating a call
Using the touchtone and pulse dialing methods
Waiting and pausing during dialing
Dialing with PBX systems
Calling an originate-only modem
Dialing a stored telephone number
Automatically dialing a voice call
Sending tones as data
Automatically redialing last number
Transferring a call
Answering topics in this chapter include:
Automatically answering a call
Manually answering a call

Zoom High Speed Fax/Modem Owner's Manual.................................43

Originating a call
To originate a call:
Type ATD string, where string is the number your faxmodem is to dial, along
with any Dialing modifiers. A typical Dial command line might be:
ATD T 1 (818) 555-1111
where 1 (818) 555-1111 is the telephone number to be dialed and T is the
Dialing modifier for touchtone dialing.
Press the Enter key.
If you're using the X0, X1, or X3 response set, your faxmodem waits the
time specified in Register S6 before dialing, then dials the telephone
number whether or not there is a dial tone present.
If you're using the X2 or X4 response set, your faxmodem waits up to 5
seconds for a dial tone before dialing. When it detects the dial tone
within 5 seconds, your faxmodem automatically dials the telephone number.
If your faxmodem does not hear a dial tone within 5 seconds, it sends you
the NO DIALTONE response, hangs up, and returns to the Command Mode.
After your faxmodem dials a data call, you will have to wait up to the time
specified by Register S7 to get a response because your faxmodem waits for
the remote modem to ring, answer, and begin the data connection.
If the remote modem answers the call within the allowable time, the your
faxmodem and the remote modem perform a handshaking sequence to make sure
they are using identical parameters. During this time, your faxmodem lets
you listen to the carrier signal for about one second before turning off
its internal speaker.
After successfully completing handshaking, the data connection is
established between your faxmodem and the remote faxmodem and your faxmodem
enters the Data Mode. If you're using a response set other than X0, your
faxmodem sends you a CONNECT response indicating the speed of the data
connection that has been established
If you want to include other commands on a Dial command line, type them in
front of the D (Dial) command. If the Dial command line only contains the
characters ATD, the faxmodem will go off-hook in originate mode.

Ending the connection
The connection between the your faxmodem and the remote faxmodem ends when
any of the following occurs:
The faxmodem loses the carrier signal from the remote modem.
You send a Hang Up command (described on page 6-).
The faxmodem drops the Data Terminal Ready (DTR) interface signal with the
&D2 or &D3 command in effect
If your communications software provides a hang up (call-termination)
feature, you use that feature to disconnect a call (refer to the manual
that accompanied your software).
Your faxmodem then hangs up, returns to the Command Mode, and sends you the
NO CARRIER response.
Receiving a busy signal
If your faxmodem originates a data call and receives a busy signal, it
hangs up, returns to the Command Mode, and sends you one of the following
responses:
If you're using the X0, X1, or X2 response set, your faxmodem sends you the
NO CARRIER response after the time interval specified by Register S7.
If you're using the X3 or X4 response set, your faxmodem immediately sends
you the BUSY response.
After receiving a busy signal, you can use the A/ command or the DL command
to redial the same telephone number (refer to page 6-).
Touchtone and pulse dialing
You can use your faxmodem on telephone lines that require either touchtone
(DTMF) dialing or pulse (rotary) dialing.
Your faxmodem is factory-set to use the pulse dialing method. This is

Zoom High Speed Fax/Modem Owner's Manual.................................44

equivalent to the P command. If you want to use the touchtone dialing
method, insert the T command in front of the numbers that are to be dialed
using this method.
Touchtone dialing example: ATDT 555-1212
Your faxmodem remembers which dialing method you used last and will
continue to use that method until you change it. For example, if you
switched to touchtone dialing, you can return to pulse dialing by inserting
the P command in front of the numbers that are to be pulse dialed.
Pulse dialing example: ATDP 555-1212
You can combine touchtone and pulse dialing in one Dial command line when
both dialing methods are required. For example, you may be dialing through
a PBX that requires touchtone dialing in order to access an outside line
that uses pulse dialing.
Example: ATDT 9 W P555-1212

Pausing and waiting for a dial tone
You can instruct your faxmodem to dial through Private Branch Exchanges
(PBXs) or long-distance calling services that require delays during
dialing. There are two ways to do this:
To wait for a secondary dial tone before proceeding (W command) as in: ATDT
9W 555-1212
To pause for a fixed time and then dial, whether or not a dial tone is
detected (, command) as in: ATDT 9, 555-1212
Waiting for a second dial tone
When you use certain services, you need to provide an access or account
number after you hear a tone, but before entering another string of
numbers. Likewise, PBXs often require you to wait for a secondary dial tone
after dialing a number (9, for example) to access an outside line.
The Wait command (W), inserted in a Dial command line, allows your faxmodem
to wait up to the value in Register S7 for a dial tone or other go-ahead
tone. Register S7 is factory set to 50 seconds. If you require a longer
wait time than 50 seconds, you can increase the wait time by changing the
value of Register S7 (see Chapter 5).
In the following example, the faxmodem dials a telephone number, waits for
a go-ahead tone, enters a code number, and dials a string of digits (in
this case, another phone number).
ATDT 555-4321 W 59540 (818) 555-6789
In this command line:
555-4321 is the telephone number of the long-distance service.
W provides a maximum wait time of 50 seconds (unless you've changed the
default value of Register S7).
59540 is the code number.
(818) 555-6789 is the telephone number.
IMPORTANT! If you dial an access code and telephone number frequently, you
can store them in your faxmodem's non-volatile memory, then have your
faxmodem automatically dial them (refer to Dialing a stored telephone
number on page 6-).
If you were dialing through a PBX, your Dial command line might resemble:
ATDT 9 W 555-1212
In this command line:
9 accesses the outside (public) telephone line.
W causes your faxmodem to wait 50 seconds for a secondary dial tone (unless
you've changed this register's default value)
555-1212 is the telephone number to be dialed.
Pausing during dialing
Inserting a comma (,) within a Dial command line tells your faxmodem to
pause the number of seconds specified in Register S8 and then continue
dialing. Register S8 is factory set to 2 seconds.
If you require a longer pause time than 2 seconds, you can increase the

Zoom High Speed Fax/Modem Owner's Manual.................................45

pause time by either inserting more than one , in the Dial command line or
changing the value of Register S8.
If you were dialing with a comma, your Dial command line might resemble:
ATDT 9 , 555-8888
In this command line:
9 accesses the outside (public) telephone line.
The comma (,) causes your faxmodem to wait 2 seconds (default value).
555-8888 is the telephone number to be dialed.

Dialing with PBX systems
The @ command is used with PBX systems and can have a variety of functions,
depending on your PBX. The manual that came with your PBX should have
information on using the @ command.
Some PBXs allow users to include the @ command in the Dial command line
when calling security call-back systems. These systems require you to leave
your faxmodem's telephone number (using touchtones) and hang up. The remote
computer then verifies whether you're an approved caller and, if you are,
calls your faxmodem and allows you access to the system.
To place such a call, use the following example:
Type ATDT string @ call-back number , ; H.
Press the Enter key.
The faxmodem performs the following actions:
Dials the telephone number of the remote system (string) automatically,
using the touchtone method
Waits for 5 seconds of silence (@) after detecting at least one ring at the
remote system.
Dials its own telephone number (call-back number) using touchtone dialing
Pauses two seconds (,)
Enters the Command Mode (;)
Hangs up (H)
The remote system will call back your faxmodem if your faxmodem has
permission to access the remote system; otherwise, it doesn't call back
your faxmodem.
Calling an originate-only modem
When your faxmodem dials a data call, it uses the originate tones to
communicate with the remote modem. The modem being called replies with an
answer tone. Some modems, however, reply only with originate tones, not
with answer tones. These are called originate-only modems.
Inserting an R command at the end of your Dial command line tells your
faxmodem to use the answer tone, rather than the originate tone, when
communicating with the remote modem. Use this command when dialing an
originate-only modem.
For example: ATDT 555-2121 R
When a modem operating in originate mode answers the call and detects your
faxmodem's answer tone, the handshaking sequence occurs between them.

IMPORTANT! The faxmodem ignores any commands that follow the R command on
the Dial command line.

Dialing a stored telephone number
You can use the &Zn= command to store a telephone number in your faxmodem,
then use the DS= command to have your faxmodem automatically dial that
stored telephone number.
To store the telephone number:
Type AT &Zn = number, where n is a number from 0 to 3 and number is the
telephone number you want to store.
You can include up to 36 numbers and any Dial command parameters on this
command line. If you enter more than 36 characters, your faxmodem sends the
ERROR response, clears the command buffer, and does not change the

Zoom High Speed Fax/Modem Owner's Manual.................................46

previously stored contents.
Press the Enter key.
You should get an OK response, indicating that the number is stored.
To dial the stored telephone number:
Type ATD S=n, where n is the number (0, 1, 2, or 3) under which you saved
the telephone number you want to dial.
Press the Enter key.
The faxmodem dials the stored telephone number, which appears on your DTE's
screen.
For example:
AT &Z2=1 (818) 555-1122
saves the telephone number (818) 555-1122 in position 2 in nonvolatile
memory. To have your faxmodem dial this telephone number automatically,
enter ATD S=2 and press the Enter key.

Automatically dialing a voice call
Sometimes you may want to talk to the person at the remote faxmodem
location before establishing a data connection. You may want to be sure
you're both using identical communications parameters, for example, or
discuss the names of the files you will be exchanging.
When you are finished talking to the person at the remote location, you can
hang up or switch from a voice call to a data call and exchange the files
using your faxmodem and the remote modem.
To automatically dial a voice call:
Type a Dial command line and include semicolon (;) at the end. For example:
ATDT 555-1111;
Press the Enter key.
The faxmodem dials the telephone number and then returns to the Command
Mode after dialing.
Listen for the remote telephone ringing over the speaker. When you hear the
ringing, pick up your handset.
When the person at the remote location answers the telephone, type AT H and
press the Enter key.
Your faxmodem goes on-hook (hangs up).
You can now use your telephone to talk to the person at the number dialed
by your faxmodem.
At the end of the conversation, either:
Type AT H and press the Enter key to hang up (as you would for an ordinary
voice call).
OR
Type AT D and press the Enter key to tell your faxmodem to originate the
call. The remote operator types AT A and presses the Enter key to tell his
modem to answer the call.

IMPORTANT! The person at the answering modem can hang up the handset
after the voice call. The person at the originating modem should listen
for the remote modem's answer tone before hanging up the handset.
After you exchange data, you can return to the voice connection by lifting
your handsets and sending the AT H command to your respective faxmodem and
modem at the same time.
Sending tones as data
Use the following feature with services such as banks and telephone-order
facilities that accept touchtones (DTMF) as data for such things as
customer I.D. numbers passwords.
Type a Dial command line and include semicolon (;) at the end. For example:
AT X1 DT 555-2222;
Press the Enter key.
Your faxmodem dials the telephone number without waiting for a dial tone,
then returns to the Command Mode.

Zoom High Speed Fax/Modem Owner's Manual.................................47

When the remote side answers, type ATD data ;, where data is the I.D.,
password, account number, or other information required by the facility
you're calling. For example: ATD 12345;
Press the Enter key.
At the end of your transaction, type ATH and press the Enter key to hang up
your faxmodem.
Automatically redialing a telephone number
There are two ways to have your faxmodem redial a call:
You can type ATDL and press the Enter key.
You can type A/ (without preceding it with AT or following it by pressing
Enter).
Typing AT DL instructs your faxmodem to automatically redial the last
telephone number dialed.
Typing A/ instructs your faxmodem to re-execute the last command line. Any
commands included on the last-executed Dial command line will also be
repeated.
These features are convenient when you want your faxmodem to redial the
last call because it had been busy.
IMPORTANT! Turning off your faxmodem, resetting it, or typing AT and
pressing the Enter key eliminates the last-executed Dial command from your
faxmodem's memory, invalidating the ATDL and A/ commands until your
faxmodem executes another Dial command line.
Transferring a call
Using the ! command in a Dial command line causes your faxmodem to go
on-hook for .7 second. It is equivalent to holding down the switch-hook on
your telephone for .7 second. This feature is useful when transferring
calls.
Manually dialing a data call
An alternative to having your faxmodem automatically dial a data call is to
dial the call yourself using a telephone connected to the faxmodem.
With your faxmodem in the Command Mode, lift the telephone handset.
Using your telephone, manually dial the telephone number of the remote computer.
Listen through the handset for the high-pitched answer tone from the remote
computer.
When you hear the tone, type ATX1D.
Press the Enter key, wait one second, and hang up the handset.
The faxmodem performs the handshaking sequence with the remote modem, and
you receive the appropriate CONNECT response when a connection is made.
Automatically answering calls
Your faxmodem can automatically answer an incoming call after any number of
rings you desire. The following sections describe how to turn on
auto-answer and the auto-answer process.
Turning on auto-answer mode
Register S0 controls the auto-answer feature. This register has a range
between 0 and 255. It is factory set to 0, which tells your faxmodem not to
answer incoming calls.
To turn on auto-answer:
Type AT S0=nnn, where nnn is a number between 1 and 255 that tells your
faxmodem how many rings must occur before your faxmodem automatically
answers the call. For example, to have the faxmodem answer calls after the
second ring, type AT S0=2.
Press the Enter key.
Your faxmodem responds with OK (and the AA LED on the external faxmodem
goes ON).
Auto-answer will remain in effect for as long as your faxmodem remains
turned on. Turning the faxmodem's power off and then on, or resetting your
faxmodem, returns Register S0 to the setting specified in non-volatile
memory.
To make sure that auto-answer is activated, call your telephone number from

Zoom High Speed Fax/Modem Owner's Manual.................................48

another telephone. The AA LED on the external faxmodem will blink OFF when
the ring comes in.
When your faxmodem automatically answers your call, you should hear a
high-pitched answer tone.
The auto-answer procedure
When your faxmodem is set up for auto-answer, the following actions occur
when the faxmodem receives an incoming call from a remote modem:
Your telephone rings if it is connected to your faxmodem, and your faxmodem
sends you the RING response. If you have an external faxmodem, the AA LED
will blink with each incoming ring.
Your faxmodem counts the number of rings, and answers the call on the ring
specified in Register S0 and then waits for the carrier signal from the
originating modem. The number of rings received is stored in Register S1.
(If 8 seconds of silence occur between rings, Register S1 is cleared.)
If your faxmodem does not receive a carrier signal back from the
originating faxmodem within the time specified in the S7 register, the
faxmodem:
Hangs up.
Returns to Command Mode.
If your faxmodem receives the carrier signal from the originating modem, it
makes the connection with the remote modem and the two begin handshaking.
If you are using a response set other than X0, your faxmodem sends you a
CONNECT response indicating the speed of the call.
After the CONNECT response is given, your faxmodem raises its Data Carrier
Detect signal on the RS-232-C interface. The faxmodem is now ready for data
transfer.
Turning off the auto-answer feature
To turn off the auto-answer feature:
If you used the command method to turn on auto-answering, type AT S0=0 and
press the Enter key to return the value of Register S0 to 0.
When you turn off auto-answer, you'll receive the RING (or 2) response each
time your telephone rings, but your faxmodem will not automatically answer
the call. You can answer the call manually if you desire.
Manually answering a call
When you are not using the automatic answer feature, you can use the A
command to manually answer an incoming call.
When you receive an incoming call, just type ATA and press the Enter key.
Your faxmodem answers the incoming call and enters the Data Mode.
Manually answering a voice call
The manual answer feature also lets you talk to the remote operator before
answering the call.
Connect your telephone to your faxmodem.
When you receive an incoming call, lift your telephone handset and begin
talking.
When you are ready to exchange data, the person originating the call enters
ATX1D and presses the Enter key, and the person answering the call enters
ATA and presses the Enter key. Then hang up both telephones.
This feature is useful when you want to discuss matters relevant to the
impending data connection, such as how many files will be transferred.
IMPORTANT! If you desire, you can have your faxmodem execute commands
before answering an incoming call by typing the commands in front of the A
command. Your faxmodem will not execute any commands that follow the A
command on the same command line.
Hanging up
At the end of a call, use this procedure to hang up:
Wait the time specified in Register S12 before proceeding (this register
has a default value of 1 second).
From the Data Mode, type the escape characters (default characters are +++).
The faxmodem enters Command Mode.

Zoom High Speed Fax/Modem Owner's Manual.................................49

Wait the time specified in Register S12 before proceeding (this register
has a default value of 1 second).
Type AT H and press the Enter key.
Your faxmodem hangs up the telephone line (goes on-hook), sends you the OK
response, and returns to Command Mode.
If your communications software provides a hang up (call-termination)
feature, you can alternatively use that feature to disconnect calls (refer
to the manual that accompanied your software).

Dial and answer registers
Your faxmodem's dialing and answering characteristics are derived from
registers Table 6-1 shows the registers that affect dialing. Table 6-2
shows the registers that affect answering. For more information on
registers, refer to Chapter 5.

Table 6-1. Dial registers
Register, Function, Default

S6, Maximum wait time for dial tone., 2 seconds
S7, After dialing,, the number of seconds your faxmodem waits for a remote
carrier signal before hanging up., 50 seconds
S8, Number of seconds your faxmodem pauses for each comma in a Dial command
line., 2 seconds
S9, How long remote modem's carrier signal must be present for your
faxmodem to recognize it., 600 milliseconds
S10, Length of time your faxmodem waits before hanging up after carrier is
lost., 1.4 seconds

Table 6-2. Answer registers
Register, Function, Default
S0, Ring on which the faxmodem automatically answers a call (0 means do not
answer)., 0 rings
S7, Number of seconds after answering that your faxmodem waits for the
carrier signal from the originating modem., 50 seconds
S9, How long remote modem's carrier signal must be present for your
faxmodem to recognize it., 600 milliseconds
S10, Number of hundred milliseconds your faxmodem waits before hanging up
after carrier is lost., 1.4 seconds


Chapter 7
Error Correction and Data Compression
Your faxmodem includes sophisticated V.42 and MNP 4 error-correcting
protocols. These protocols ensure that data will be exchanged error-free
even over noisy, error-prone telephone lines. Your faxmodem also supports
the V.42bis and MNP 5 data compression protocols, which reduce the amount
of time needed to exchange data by maximizing data throughput.
These are hardware-based protocols. This means that they automatically
negotiate the highest level of error correction and data compression
supported by your faxmodem and the remote modem for every transmission,
regardless of the type of software being used and without requiring any
set-up by you.
This chapter describes your faxmodem's error-correction and
data-compression protocols. Topics include:
An overview of error-correction protocols
 Configuring your faxmodem for V.42/V.42bis/MNP operation
An alphabetical list of the V.42/V.42bis and MNP commands
Error-correction protocols
Your faxmodem includes two error-correction protocols:

Zoom High Speed Fax/Modem Owner's Manual.................................50

CCITT V.42
MNP levels 2 through 4
These protocols use the same basic principle to detect and correct errors
that occur during data transmission. The data being sent is divided into
packets. The packet value is computed at the sending modem using one of
several schemes based on the information contained in the packet. The
receiving modem performs the same calculation on the packet and the two
values are compared. If the values are not the same, the receiving modem
sends a signal to have the sending modem retransmit the packet.
The efficiency of the error-correction scheme depends partly on the
likelihood that an error will be present in a packet. There is overhead
(extra information) that must be sent to check each packet, but what really
slows things down is retransmission of entire packets. Therefore, faster
speeds can typically be achieved over low-noise telephone lines by using
large packets, and over noisy telephone lines using small packets.
Both the V.42 and MNP protocols are completely transparent to the user. The
following sections describe these error-correcting protocols.
MNP
MNP is an acronym for Microcom Networking Protocol. MNP detects and
corrects errors that occur when data is exchanged between two systems.
Errors can result from telephone-line noise and other signal distortions.
There are several levels of MNP operation available. These levels are
referred to as service classes. The service class refers to the framing
techniques that the faxmodem uses to transfer data, as described on the
next page.

MNP Class 1 provides automatic error correction between asynchronous
half-duplex communications links.
MNP Class 2 provides automatic error correction protocols between
asynchronous full-duplex communications links.
IMPORTANT! MNP Classes 1 and 2 are reliable error-correction protocols, but
they do not optimize data throughput.
MNP Class 3 adds synchronous full-duplex conversion of data between
modems. The data link between the computer and your faxmodem is still
asynchronous, but the data transmitted between the modems is converted into
an SDLC synchronous protocol. The synchronous link increases throughput
because it eliminates the overhead of handling the start and stop bits
required for each character with asynchronous communications.
MNP Class 4 adds the capability to negotiate data packet size during the
initial handshake. To increase throughput, it reduces the overhead required
for each packet.
V.42
V.42 is the accepted international standard for error correction. It was
ratified by CCITT in January 1990. Your faxmodem is fully V.42 compliant.
This means it meets all standards set by CCITT for V.42 operation. These
include LAPM (Link Access Procedures for Modems), the primary V.42
error-correcting protocol, and the ability to fall back to MNP 4 if the
initial protocol handshake reveals that the called modem does not support
V.42 LAPM.
Your faxmodem also exceeds the CCITT requirement and will automatically
negotiate MNP level 2 or 3 if the called modem does not support MNP 4.
The main advantages of V.42 LAPM over MNP 4 are:
It is generally felt that the handshake and protocol establishment process
of V.42 is superior to that of MNP 4. Therefore, it will provide better
initial connections on poor-quality telephone lines.
While the effective data speed of V.42 LAPM and MNP 4 are almost identical
over noise-free telephone lines, V.42 provides significantly better
performance than the CCITT-specified MNP 4 over noisy telephone lines.
V.42 LAPM is highly synergistic with OSI (Open Systems Interface) and

Zoom High Speed Fax/Modem Owner's Manual.................................51

similar software standards emerging in ISDN environments. MNP 4 is a
non-standard protocol and therefore less likely to be used in future
products.
Data compression protocols
There are two major data compression protocols used in data communications,
V.42bis and MNP 5. MNP 5 provides a data compression ratio of 2:1. Since
there was no accepted international standard for data compression until
January 1990, when CCITT ratified V.42bis, MNP was widely accepted as the
de facto standard. Consequently, many installed modems use MNP 5.
V.42bis was chosen by CCITT as the international standard because it
performs significantly better than MNP 5. V.42bis provides a data
compression ratio of approximately 3:1 and, in some cases, can achieve
compression rates up to 4:1. Over noisy telephone lines, the performance
advantage of V.42bis over MNP 5 is even more dramatic.
Although it is clear that V.42bis will displace MNP 5 as the data
compression standard, your faxmodem supports both standards for maximum
compatibility with the installed base of modems.
Automatic compression/correction negotiation
Because these data-compression and error-correction protocols are
hardware-based, the highest level and fastest type of data compression and
error correction supported by your faxmodem and the remote modem will
automatically be negotiated during the initial modem handshake.
Therefore, in most instances, you will not need to perform any special
configuration to your faxmodem to take advantage of MNP, V.42, and V.42bis.
In some instances, however, you may need to force the faxmodem into a
specific data-compression or error-correction mode. This can be done using
the AT commands described in the following examples.
Forcing MNP/V.42/V.42bis
You can force your faxmodem to communicate with MNP modems only, or with
all modems. You can also configure it for MNP 5 or V.42bis data
compression.
Configuring for automatic (auto-reliable) operation
This is the default configuration of your faxmodem, so if you haven't given
the faxmodem any \Nn or &Qn commands, it should already be in
auto-reliable mode.
Auto-reliable mode lets your faxmodem communicate with both
MNP/V.42/V.42bis modems and non-MNP/V.42/V.42bis modems. To return to this
default configuration:
Type AT &Q5 S48=7 S36=7 %C1 and press the Enter key.
Your faxmodem responds with OK. When your faxmodem originates or answers
calls, it will try to make a V.42bis/V.42 connection. If either or both
fail, your faxmodem will try to make an MNP connection. If that fails, your
faxmodem will try to make a normal (non-error-correction) connection.
Forcing error-correction operation
To communicate with remote MNP modems only:
Type AT \N2 and press the Enter key.
Your faxmodem responds with OK. When your faxmodem originates or answers
calls, it will try to make an MNP connection. If that fails, your faxmodem
will hang up and return to Command Mode.
Turning off error-correction
To turn off the MNP/V.42 error correction:
Type AT &Q6 and press the Enter key to return to standard operation with
buffering.
OR
Type AT &Q0 and press the Enter key to return to standard operation without
buffering.
Your faxmodem responds with OK (or 0).
MNP/V.42/V.42bis commands summary
Table 7-1 lists the MNP/V.42/V.42bis commands.

Zoom High Speed Fax/Modem Owner's Manual.................................52

\A0 64-character maximum MNP block size.
\A1 128-character maximum MNP block size.
\A2 192-character maximum MNP block size.
\A3 (default) 256-character maximum MNP block size.-
\B, Transmit a line break to the remote modem.-
%C0 Disable data compression.
%C1 (default) Enable data compression.-
%D0 V.42bis dictionary size 512.
%D1 V.42bis dictionary size 1024.
%D2 (default) V.42bis dictionary size 2048.
%D3 V.42bis dictionary size 4096 for one-way compression, 2048 for two-way
compression.-
\En, Optimize local echo.-
%E0 Faxmodem will not retrain.
%E1 Faxmodem will retrain.-
\G0 (default) Turn off modem-to-modem flow control.
\G1 Turn on modem-to-modem flow control.-
\K, Defines break type.-
\L0 (default) Stream MNP link mode.
\L1 Block MNP link mode.-
%L Report received signal level.-
%M0 Compression disabled.
%M1 Transmit compression only.
%M2 Receive compression only.
%M3 (default) Two-way compression.-
\N0 Normal data link only with buffering.
\N1 Normal data link only without buffering.
\N2 Reliable link only.
\N3 (default) Auto-reliable link.-
\O, Originate reliable link control.-
%P, Clear encoder dictionary.-
%Q, Report line signal quality.-
%Sn, Set maximum sting length (V.42bis).-
\T, Inactivity timer.-
\U, Accept reliable link control.-
\Y, Switch to reliable operation.-
\Z, Switch to normal operation.-
 \An
Maximum MNP block size
The \An command sets the maximum MNP block size during Class 4 and 5
operation, forcing your faxmodem to transmit smaller blocks of data. This
command has no effect during Class 3 or lower operation because these
operations limit the maximum block size to 64 characters.
Use this command when you know that the telephone-line quality is poor.
Transmitting smaller blocks of data helps avoid retransmissions, improving
dta throughput.
\A or \A0
Maximum block size is 64 characters.
\A1
Maximum block size is 128 characters.
\A2
Maximum block size is 192 characters.
\A3
Maximum block size is 256 characters. This is the default setting.
 \Bn
Transmission break
The \Bn command lets you send a break to the remote system. This command is
equivalent to pressing the Break key on your computer or terminal keyboard.
If your keyboard does not have a Break key, you can use this command to

Zoom High Speed Fax/Modem Owner's Manual.................................53

perform this function.
If you have a standard (non-MNP) connection, type a number from 1 to 9
after this command to indicate how long you want your faxmodem to provide
the break signal. The number you type is multiplied by 100 milliseconds and
the break signal is applied for the resulting duration. For example, if you
type \B6, the break signal will be applied for 600 milliseconds. The
default setting is 3.

Increasing the length of the break signal increases the chance that the
remote modem will not mistake the break signal for a carrier or other
signal, ensuring that the connection will be ended.
You do not have to include a number with this command during MNP
connections, because the break is always 300 milliseconds. If this command
is used during MNP operation, your faxmodem sends a Link Attention PDU to
the remote modem.
IMPORTANT! The way that your faxmodem handles a break is defined by the \Kn
command. Refer to page 7- for more information.
 %Cn
Enable or disable data compression
The %Cn command turns data compression on or off.
%C or %C0
Data compression will not be used.
%C1
MNP 5 or V.42bis data compression will be used, as defined by the value in
Register S48. This is the default setting.
 %Dn
Set dictionary size
The %Dn command sets the V.42bis dictionary size.
%D or %D0
Dictionary size is 512.
%D1
Dictionary size is 1024
%D2
Dictionary size is 2048. This is the default setting
%D3
Dictionary size is 4096 for one-way compression. For two-way compression
(&M3 command in effect), the dictionary size is 2048.

 \En
Optimize echo cancellation
The \En command is a one-shot command that can be used to optimize the
local echo. When the command is issued before a call is originated or
answered, the faxmodem will set NET1 and NET2 so that the local echo is
minimized (that is, the faxmodem attempts to match the local network).
 %En
Enable or disable auto-retrain
The %En command allows your faxmodem to automatically retrain if it detects
telephone-line problems that could adversely affect the data transmission.
This command is valid for connections of 2400 bps and higher.
%E or %E0
Your faxmodem will not automatically retrain.
%E1
Your faxmodem will automatically retrain. This is the default setting.
 \Gn

Modem-to modem flow control
The \Gn command controls XON/XOFF flow control between your faxmodem and
the remote modem. If your faxmodem is receiving data from a remote system
faster than it can be processed, XON/XOFF flow control will allow your

Zoom High Speed Fax/Modem Owner's Manual.................................54

faxmodem to handle data more efficiently. This command is useful for normal
(non-error correction) connections only.
\G or \G0
Disable XON/XOFF flow control. This is the default setting.
\G1
Enable XON/XOFF flow control.

 \Kn
MNP break type
The \Kn command selects the way in which your faxmodem handles a break
signal either from your computer or from the remote system. Table 7-2 shows
the ways in which your faxmodem can handle a break.

Table 7-2. Break handling with the \K command


Break Command in Effect, Break Received from Computer During Normal or MNP
Operation, Break Received from Remote Modem During Normal Operation, Break
Received from Computer During Command Mode

\K0, Enter Command Mode,, do not send break to remote modem., Empty
buffers,, immediately send break to your computer., Immediately send
break,, then enter Command Mode.
\K1, Empty buffers immediately,, send break to remote modem, Empty
buffers,, immediately send break to your computer., Immediately send break
to remote modem.
\K2, Enter Command Mode,, do not send break to remote modem., Immediately
send break to your computer without clearing buffers., Immediately send
break,, then enter Command Mode.
\K3, Immediately send break to remote modem without clearing buffers.,
Immediately send break to your computer without clearing buffers.,
Immediately send break to remote modem.
\K4, Enter Command Mode,, do not send break to remote modem., Send break to
your computer in sequence with data., Immediately send break,, then enter
Command Mode.
\K5,  Send break to remote modem in sequence with data., Send break to
your computer in sequence with data., Immediately send break to remote
modem.
TABLE TEXT1, TABLE TEXT1, TABLE TEXT1, TABLE TEXT
 \Ln
MNP link mode
The \Ln command selects whether your faxmodem uses block or stream mode
during MNP connections.
\L or \L0
Use stream mode during MNP connections. During stream mode, the faxmodem's
maximum block size is adjustable, depending on the \A command in effect
(see page 7-13). This is the default setting.
\L1
Use block mode during MNP connections.
 %L
Report received signal level
The %L command returns a value that indicates the received signal level.
selects whether your faxmodem uses block or stream mode during MNP
connections. The values that can be returned are:
009 received level of 9 dBm010 received level of 10 dBm011 received
level of 11 dBm...043 received signal of -43 dBm
If the received level is less than 9 dBm, 009 will be displayed. If the
received level is greater than 43 dBm, 043 will be displayed.


Zoom High Speed Fax/Modem Owner's Manual.................................55

 %Mn
Set one-way/two-way compression mode (V.42bis)
The %Mn command selects the one-way/two-way compression mode when using
V.42bis compression.
%M or %M0
Compression disabled.
%M1
Transmit compression only.
%M2
Receive compression only.
%M3
Two-way compression. This is the default setting.
 \Nn
Operation mode control
The \Nn command selects the type of asynchronous data connection the
faxmodem can establish. Because this command changes S registers, use the
&Qn command instead, whenever possible.
\N or \N0
 Selects normal (speed buffering) mode. Same as &Q6.
\N1
Selects direct (pass through) mode. Same as &Q0.
\N2
Selects reliable link mode. Faxmodem attempts an MNP connection and will
disconnect if it fails. (Faxmodem will not accept a V.42 connection.) Sets
Registers S48 to 128 and S36 to 4.
\N3
Selects auto-reliable mode. Faxmodem attempts an MNP connection but will
fall back to normal mode if it fails. (Faxmodem will not accept a V.42
connection.) Sets Registers S48 to 128 and S36 to 7. \N3 is the default
setting, but the register changes it causes are not the default settings.

IMPORTANT! If the \N3 command is in effect and your faxmodem connects to a
remote modem in normal operation, you can use the \O, \U, and \Y commands
to attempt a reliable connection. These commands are described elsewhere in
this section.
 \O
Initiate reliable link
The \O command forces your faxmodem to initiate a reliable link independent
of whether your faxmodem originated or answered the call. Before sending
the \O command, you must establish a normal connection and then type the
escape characters (+++) to return to Command Mode while keeping the data
connection.
When your faxmodem receives the \O command, it tries to establish the
reliable link immediately. If the first link attempt fails, it tries again.
If the second attempt is not immediately successful, the faxmodem returns
to the previous (normal) connection.
 %P
@SHADEAFTER = Clear V.42bis encoder dictionary
The %P command resets your faxmodem's V.42bis encoder dictionary and sends
a command code to the remote modem to reset its V.42bis encoder dictionary.
The dictionaries are used for data compression, and each contains the same
entries at a given time.
IMPORTANT! If you send this command when the encoder dictionary is not
being used, your faxmodem responds with ERROR.
 %Q
Report line signal quality
The %Q command returns a number between 0 and 127, based on the Eye Quality
Monitor value. If the line quality is unacceptable, the faxmodem will
automatically retrain. The value for a normal connection ranges from about

Zoom High Speed Fax/Modem Owner's Manual.................................56

0 to 15, with higher numbers indicating progressively poorer connections.

 %Sn
Set maximum string length (V.42bis)
The %Sn command sets the maximum number of characters that can be
compressed into one word. The n parameter can be a number between 6 and
250. Default is 32.
 \Tn
Inactivity timer
The \Tn command determines how many minutes your faxmodem will wait during
periods of no data activity before disconnecting. The default setting (\T0)
turns off the inactivity timer. If you want to use the timer, enter a value
between 1 and 42. Default is 0.
 \U
 Accept reliable link
The \U command causes your faxmodem to accept a reliable link initiated
from the remote system, independent of whether your faxmodem originated or
answered the call. Before sending the \U command, you must establish a
normal connection and then type the escape characters (+++) to return to
Command Mode while keeping the data connection. Your faxmodem waits up to
12 seconds to establish the reliable link. If the link attempt fails, your
faxmodem returns to the previous (normal) connection.
 \Y
Switch to reliable link
The \Y command instructs your faxmodem to initiate or accept a reliable
link after it has made a normal (non-error correction) connection
connection. Before sending the \Y command , you must establish a normal
connection and then type the escape characters (+++) to return to Command
Mode while keeping the data connection.
If your faxmodem cannot establish a reliable link, it returns to the
previous (normal) connection.
 \Z
Switch to normal operation
The \Z command instructs your faxmodem to end the reliable connection and
switch to normal (non-error correction) operation. Before sending the \Z
command, you must type the escape characters (+++) to return to Command
Mode while keeping the reliable data connection. Sending this command will
erase all data in the buffers.

Notes

Chapter 8
Synchronous Operation
Chapter 8 describes how to operate your faxmodem in synchronous mode. If
you will be performing asynchronous operations only, you can skip this
chapter.
Overview
Your faxmodem provides three synchronous modes, which can be activated
using the &Q command:
&Q1 supports terminals that can operate asynchronously and synchronously
using the same RS-232 port. You can also use this synchronous command when
switching your RS-232 cable between an asynchronous terminal and a
synchronous terminal. (See page 8-.)
&Q2 supports dedicated synchronous data terminals. With this command,
your faxmodem automatically dials a stored telephone number when the DTR
signal goes on, then enters the synchronous Data Mode. (See page 8-.)
&Q3 also supports a dedicated synchronous terminal. With this command,
your faxmodem responds to the DTR signal as if it were a talk/data switch,
allowing you to dial a call manually using the telephone connected to your

Zoom High Speed Fax/Modem Owner's Manual.................................57

faxmodem. (See page 8-.)
You should use an asynchronous data terminal or a computer that emulates a
data terminal to configure your faxmodem for the synchronous operating
modes described in this chapter.
IMPORTANT! When you use your faxmodem for synchronous operation, the MNP,
V.42/V.42bis, flow control, and speed conversion features are automatically
turned off.
Preparing for synchronous operation
Before starting synchronous operation, observe the following considerations
 (and refer to Chapters 4 and 5 for more information).
Timing source
Use the &X command to select a timing source to clock the synchronous data
exchanged between the local and remote systems.
&X or &X0
Your faxmodem will send its internal timing signal on EIA pin 15 of its
RS-232-C connector to the directly connected DTE. This is the default
setting.
&X1
Your faxmodem expects to receive the timing signal on EIA pin 24 of its
RS-232-C interface. Use this command if your DTE will be providing the
timing source to your faxmodem.
&X2
Your faxmodem will derive the timing signal from the incoming data carrier
signal and relay it on EIA pin 15 of its RS-232-C interface.
Data Carrier Detect (DCD) signal
Your faxmodem is factory set with the &C0 command in effect. Make sure that
you change this to &C1 by using either nonvolatile memory, your software's
modem initialization string, or a directly typed command.

Clear To Send (CTS) signal
Your faxmodem is factory set with the &R0 command in effect. This command
activates the Request To Send/Clear To Send (RTS/CTS) time-delay option.
This option is used to emulate half-duplex operation and pertains to
synchronous applications only. It's also useful for communicating with a
DTE that cannot handle instantaneous turnaround time of full-duplex
operations.
Register S26 specifies how long the faxmodem waits after an OFF-to-ON RTS
transition before asserting the CTS signal. The default setting for this
register is 1 (hundredth of a second), indicating that your faxmodem will
wait for a 10-millisecond RTS/CTS time delay. When the RTS signal goes ON,
the CTS signal directly follows.
If you require a delay to simulate half-duplex operation, you can change
the value of Register S26. If you do not want to use this delay, send the
&R1 command to turn off this option. The CTS signal will then remain ON
continuously, regardless of the status of the RTS signal; CTS goes OFF,
however, during the handshaking.
Data Set Ready (DSR) signal
Your faxmodem is factory set with the &S0 command in effect. This command
forces the DSR signal ON continuously.
Most synchronous applications require the &S1 command to be in effect. This
command forces the DSR signal ON during the handshaking sequence and OFF
during testing or Command Mode; DSR is also ON when the carrier is lost.


Asynchronous/synchronous operation (&Q1)
Use the &Q1 command with DTEs that can communicate both synchronously and
asynchronously through the same RS-232-C port.
Originating calls
When you send a Dial command line with the &Q1 command in effect, the

Zoom High Speed Fax/Modem Owner's Manual.................................58

faxmodem dials the call, waits the Register S25 time (default is 5
seconds), and looks for the DTR signal from your DTE. If DTR is present,
the faxmodem attempts to make a connection, sends the asynchronous CONNECT
response if it succeeds, and enters synchronous Data Mode. Otherwise, it
hangs up and returns to asynchronous Command Mode.
IMPORTANT! The DTR interface signal must be active within five seconds
after the faxmodem makes the connection. If you need more time to activate
the DTR interface signal, change the value in Register S25 (refer to
Chapter 5).
Automatically answering calls
If you want your faxmodem to automatically answer synchronously while the
&Q1 command is in effect, preset Register S0 to a value greater than zero
(refer to Chapters 5 and 6). Then, when the faxmodem receives a call, it
will answer incoming calls even if the DTR signal is OFF. However, the DTR
interface signal must be ON before the Register S25 time elapses, or the
faxmodem disconnects (factory setting for Register S25 is 5 seconds).
IMPORTANT! You can leave the DTR interface signal ON continuously, as long
as the remote user disconnects from the host system by dropping carrier.
Disconnecting calls
When the &Q1 command is in effect, you cannot use the escape characters to
hang up. Instead, your faxmodem returns to the asynchronous Command Mode
when the DTR signal is turned OFF or when your faxmodem does not detect the
remote carrier signal longer than the Register S10 value (default is 700
milliseconds). To hang up, type AT H and press the Enter key.
Dialing a stored telephone number (&Q2)
The &Q2 synchronous mode is for dedicated synchronous data terminals. This
command lets your faxmodem dial a stored telephone number automatically and
enter the synchronous Data Mode when it detects an OFF-to-ON transition of
the DTR interface signal.
When you send the &Q2 command to the faxmodem, include the commands E0 Q1
on the same command line to turn off command echo and faxmodem responses.
When you send this command, the faxmodem will not respond with OK because
you disabled responses.
Originating calls
When you use the &Q2 command, the telephone number to be automatically
dialed is entered asynchronously and stored in non-volatile memory position
1, using the &Z0 telephone number command. This command writes the
telephone number to position 0 in the faxmodem's non-volatile memory.
When your faxmodem detects an OFF-to-ON transition of the DTR interface
signal, it automatically dials the telephone number stored in position 0.
If the Dial command line contains a semicolon, the faxmodem ignores it.

Automatically answering calls
If you want your faxmodem to automatically answer synchronously while the
&Q2 command is in effect, preset Register S0 to a value greater than zero
(refer to Chapters 5 and 6). Then, when your faxmodem detects an incoming
ringing signal, it notifies your DTE by activating the Ring Indicator (RI)
signal (RS-232 pin 22). The DTE can accept the call by activating the DTR
interface signal. (If the DTR interface signal is already activated, your
faxmodem immediately answers the call when the value of Register S0 equals
the value of Register S1.)
The DTE can refuse to answer the call by turning off the DTR interface
signal before the value of Register S0 equals the Register S1 value and
keeping it off for eight seconds after the last ring. Following the eight
seconds, an OFF-to-ON transition of the DTR interface signal allows your
faxmodem to go off-hook in the originate mode and dial the stored telephone
number.
IMPORTANT! If your faxmodem detects an OFF-to-ON transition of the DTR
interface signal between the detection of the first ring and the time a

Zoom High Speed Fax/Modem Owner's Manual.................................59

call clears, it does not go off-hook in originate mode and dial the stored
telephone number.
Disconnecting calls
When the &Q2 command is in effect, your faxmodem will disconnect from the
telephone line when the DTR signal is turned OFF or when your faxmodem does
not detect the remote modem's carrier signal longer than the value
specified in Register S10 (the default is 700 milliseconds). Either action
causes your faxmodem to return to the asynchronous Command Mode.
Manual dial mode (&Q3)
In the &Q3 synchronous mode, the DTR interface signal acts as a talk/data
switch. If you connected your telephone to your faxmodem, you can use the
telephone handset to dial phone numbers manually. To complete the call and
switch to Data Mode, turn on the DTR signal. This mode is for dedicated
synchronous DTEs.
When you use the &Q3 command, include the commands E0 Q1 on the same
command line to turn off command echo and faxmodem responses. When you send
this command, the faxmodem will not respond with OK because you disabled
responses.
Originating calls
To establish a connection in the &Q3 mode, use the following procedure:
Make sure your DTE is not providing the DTR interface signal (the external
faxmodem's TR LED is OFF).
Lift the telephone handset and dial the telephone number.
After dialing the last digit of the phone number, have your DTE turn on the
DTR signal.
Your faxmodem switches to Data Mode. (The TR LED on the external faxmodem
goes ON.)
Be sure the DTR interface signal is ON. Then hang up the handset.
If the connection fails, the faxmodem hangs up and returns to asynchronous
Command Mode. If your first try fails, turn off the DTR interface signal
from your DTE and repeat this procedure.
Automatically answering calls
When your faxmodem detects an incoming ring signal, it notifies your DTE by
turning on the RI signal (RS-232 pin 22). Your faxmodem does not
automatically answer the call, however, unless Register S0 is set to a
value greater than zero.
When Register S0 has a value greater than zero, the DTE can accept the call
by activating the DTR interface signal. Your faxmodem waits for the S1
register value to equal S0 before answering the call. When your faxmodem
detects an OFF-to-ON DTR transition, it goes off-hook in originate mode. If
no incoming ring is detected for eight seconds, your faxmodem ends the
call.
Disconnecting calls
When the &Q3 command is in effect, your faxmodem is disconnected from the
telephone line when the DTR signal is turned OFF or when your faxmodem does
not detect the remote carrier signal longer than the value specified in
Register S10 (the default is 1.4 seconds). Either action causes your
faxmodem to return to the asynchronous Command Mode.

Chapter 9
Fax Operation
Your faxmodem is designed to send and receive faxes at speeds up to 9600
bps (V.32 modem) or 14,400 bps (V.32bis modem). It is a Group III facsimile
device that operates as a Class 1 or Class 2 faxmodem, and can exchange
faxes with nearly all fax machines and faxmodems.
In general, there is much less that you need to know about the fax portion
of your faxmodem than about the modem portion. Practically all aspects of
fax operation are handled by your fax software.
Topics covered in this chapter include:

Zoom High Speed Fax/Modem Owner's Manual.................................60

Fax software
Making a fax connection
AT fax commands and related technical issues
Fax software
The fax capability of the faxmodem requires software control. In most
cases, fax software that will ensure proper operation of the faxmodem's fax
features is included with the faxmodem. Some of the best-known fax programs
are:
PC-Compatible Fax Software
Winfax
DosFax
FaxIt (for Windows)
 MTEZ with Express Fax
Quick Link II Fax (PC)
Macintosh Fax Software
BackFax,Quick Link II Fax
STF
Setting up fax software is generally easy. You will have to specify what
COM port you are using and may have to answer a few questions about page
formatting, the type of files that you want to fax, and the number of rings
before answering. All of these questions are specific to the program you
are using and are covered in the fax software manual.
In the PC-compatible world, be aware that with many fax programs, TSRs
(memory-resident programs) can cause errors in fax operation. If you are
having problems, try running your fax program with all TSRs removed.
With Macintosh fax software, there are sometimes init conflicts. If you
are having problems, try starting up your Macintosh without the inits.

Making a fax connection
Your fax software handles all the details of connecting to a fax machine or
faxmodem. The software and faxmodem negotiate with the answering facsimile
device and automatically set all necessary parameters for fax communication
according to CCITT standards. Your faxmodem and the remote device will
automatically negotiate the highest mutually compatible fax transmission
speed. Your faxmodem has an LED that is lit whenever the faxmodem has a fax
connection.
Your faxmodem will operate with either Class 1 or Class 2 software. You
do not have to do anything to tell your faxmodem which type of software you
are using. If you are using Class 1 fax software, handshaking is handled by
the software. If you are using Class 2 fax software, the faxmodem hardware
makes and terminates calls, manages the communication session, and
negotiates (T.30 protocol) and transports the image data to the computer.
The T.4 protocol management of image data, etc., is done by your fax
software.
Fax standards
Your faxmodem fully implements fax standards V.29, V.27ter, V.17, and V.21
channel 2.

AT fax commands
This faxmodem implements the following commands and functions associated
 with its fax capability. Class 1 fax commands are listed first, followed by
Class 2 fax commands.
The information in the rest of this chapter is very technical, but you will
never need to use these commands; your fax software takes care of all of
this. These technical details are presented here for those who may be
interested.
For those interested in fax software development, more detailed
descriptions of the commands shown in the following section and other
important information relating to control of the fax hardware can be

Zoom High Speed Fax/Modem Owner's Manual.................................61

obtained from the Telecommunications Industry Association, located at 1722
Eye Street N.W., Suite 440, Washington, D.C. 20006.
For information about Class 1 fax standards, ask about EIA-578. For Class
2, ask for Electronic Industries Association and Telecommunications
Industry Association TIA Project Number 2388, Asynchronous Facsimile DCE
Control Standard, Service Class 2, TR-29.2 Committee Letter Ballot.

Table 9-1. Class 1 AT Fax CommandsAll default values are listed in bold.

Command, Function

+FAEn, Data/fax auto-answer. Allow DTE to either restrict answering to
Class 1,, or to automatically detect whether the caller is a Class 1 fax or
a modem,, and answer accordingly.n=0Disable data/fax auto-answer. Faxmodem
answers as a fax.n=1Enable data/fax auto-answer mode.
+FCLASS=n, Select service class.n=0Data moden=1Fax class 1n=2Fax class 2
+FRH=n, Receive data with HDLC framing and the modulation defined below.
Off-hook use only.n=3V.21 Channel 2  300 bpsn=24V.27ter2400
bpsn=48V.27ter4800 bpsn=72V.297200 bpsn=73V.177200 bbs longn=74V.177200
bbs
shortn=96V.299600  bpsn=97V.179600  bps  longn=98V.179600  bps
shortn=121V.1712000 bps longn=122V.1712000 bps shortn=145V.1714400 bps
longn=146V.1714400 bps short
+FRM=n, Receive data using the modulation defined below. Off-hook use
only.n=3V.21 Channel 2  300 bpsn=24V.27ter 2400 bpsn=48V.27ter4800
bpsn=72V.29 7200 bpsn=73V.177200 bbs longn=74V.177200 bbs
shortn=96V.299600
bpsn=97V.179600 bps longn=98V.179600 bps shortn=121V.1712000 bps
longn=122V.1712000 bps shortn=145V.1714400 bps longn=146V.1714400 bps short
+FRS=n, Receive silence. Off-hook use only. Causes faxmodem to respond with
OK after n 10 ms intervals of silence have been detected on the line.
+FTH=n, Transmit data with HDLC framing and the modulation defined below.
Off-hook use only.n=3V.21 Channel 2  300 bpsn=24V.27ter2400
bpsn=48V.27ter4800 bpsn=72V.29 7200 bpsn=73V.177200 bbs longn=74V.177200
bbs shortn=96V.299600 bpsn=97V.179600 bps longn=98V.179600 bps
shortn=121V.1712000 bps longn=122V.1712000 bps shortn=145V.1714400 bps
longn=146V.1714400 bps short
+FTM=n, Transmit data using the modulation defined below. Off-hook use
only.n=3V.21 Channel 2  300 bpsn=24V.27ter 2400 bpsn=48V.27ter4800
bpsn=72V.297200 bpsn=73V.177200 bbs longn=74V.177200 bbs
shortn=96V.299600
bpsn=97V.179600 bps longn=98V.179600 bps shortn=121V.1712000 bps
longn=122V.1712000 bps shortn=145V.1714400 bps longn=146V.1714400 bps short
+FTS=n, Stop transmission and wait. Off-hook use only. After n 10 ms
intervals,, modem responds with OK.
+F<<command>>?, Report active configuration. Typical responses
are:+FAE?0=auto-answer  disabled1=auto-answer  enabled+FCLASS?0=data
mode1=fax class 12=fax class 2
 +F<<command>>=?, Report operating capabilities for a given command. Typical
responses are:+FAE?0,, 1+FCLASS?0,, 1,, 2
Table 9-2. Class 2 AT Fax CommandsAll default values are listed in bold.

Command, Function

A, Answer a call.
D, Originate a call.
+FCLASS=n, Select service class.n=0Data moden=1Fax class 1n=2Fax class 2
+FDR=, Begin or continue Phase C receive data.
+FDT, Transmit Phase C data.

Zoom High Speed Fax/Modem Owner's Manual.................................62

+FET=n, Transmit page punctuation.
+FK, Terminate session.

When operating as a Class 2 fax, the faxmodem sends responses to the DTE.
Table 9-3 lists the possible responses.
Table 9-3. Class 2 Fax Responses

Command, Function

+FCFR, Indicate confirmation to receive
+FCON, Facsimile connection response
+FCSI, Report the called station ID
+FDCS, Report current session
+FDIS, Report remote identification
+FET, Post page message response
+FHNG, Call termination with status
+FPTS, Page transfer status
+FTSI, Reports the transmit station ID


Table 9-4. Class 2 Fax Session Parameters


Command, Function

+FMFR?, Identify manufacturer
+FMDL?, Identify model
+FREV?, Identify revision
+FDCC=, DCE capabilities parameters
+FDIS=, Current sessions parameters
+FDCS=, Current session results
+FLID=, Local ID string
+FCR, Capability to receive
+FPTS=, Page transfer status
+FCR=, Capability to receive
+FAA, Adaptive answer
+FBUF?, Buffer size (read only)
+FPHCTO, Phase C time out
+FAXERR, Fax error value
+FBOR, Phase C data bit order

Table 9-5. Class 2 Fax T.30 Session Subparameter Codes
Label, Function, Value, Description
VR, Vertical resolution, 01, Normal,, 98 dpiFine,, 196 dpi
BR, Bit rate*, 0123**4**5, 2400 bps,, V .27ter4800 bps,, V.27ter7200 bps,,
V.29 or V.179600 bps,, V.29 or V.1712000 bps,, V.33 or V.1714400 bps,, V.33
or V.17
WD, Page width, 012, 1728 pixels in 215 mm2048 pixels in 255 mm2432 pixels
in 303 mm
LN, Page length, 0, A4,, 297 mm
DF, Data compression format, 01, 1D modified Huffman2D modified Read
EC, Error correction (Annex A/T.30), 0, Disable ECM
BF, Binary file transfer, 0, Disable BFT
ST, Scan time/line, 01234567, VR=normalVR=fine0 ms0 ms5 ms5 ms10 ms5 ms10
ms10 ms20 ms10 ms20 ms20 ms40 ms20 ms40 ms40 ms
*CCITT T.30 does not provide for the answering station to specify all
speeds exactly using the DIS frame. Implementation of some BR codes (e.g.,,
code 2) by an answering DCE is manufacturer-specific.**V.32bis modem only.,


Zoom High Speed Fax/Modem Owner's Manual.................................63

Table 9-6. Class 2 Fax Hangup Status Codes

Code, Cause Description

0 9 Call Placement and Termination, +
0, Normal and proper end of connection
1, Ring detect without successful handshake
2, Call aborted,, from +FK or AN
3, No loop current
10 19 Transmit Phase A and Miscellaneous Errors, +
10, Unspecified Phase A error
11, No answer (T.30 T1 timeout)
20 39 Transmit Phase B Hangup Codes, +
20, Unspecified transmit Phase B error
21, Remote cannot receive or send
22, COMREC error in transmit Phase B
23, COMREC invalid command received
24, RSPEC error
25, DCS sent three times without response
26, DIS/DTC received three times; DCS not recognized
27, Failure to train
28, RSPREC invalid response received
40 49 Transmit Phase C Hangup Codes, +
40, Unspecified transmit Phase C error
43, DTE to DCE data underflow
50 69 Transmit Phase D Hangup Codes, +
50, Unspecified transmit Phase D error
51, RSPREC error
52, No response to MPS repeated three times
53, Invalid response to MPS
54, No response to EOP repeated three times
55, Invalid response to EOP
56, No response to EOM repeated three times
57, Invalid response to EOM
58, Unable to continue after PIN or PIP
70 89 Receive Phase B Hangup Codes, +
70, Unspecified receive Phase B error
71, RSPREC error
72, COMREC error
73, T.30 T2 timeout,, expected page not received
74, T.30 T1 timeout after EOM received
90 99 Receive Phase C Hangup Codes, +
90, Unspecified receive Phase C error
91, Missing EOL after five seconds
92, Unused code
93, DCE to DTE buffer overflow
94, Bad CRC or frame (ECM or BFT modes)
110 119 Receive Phase D Hangup Codes, +
100, Unspecified receive Phase D errors
101, RSPREC invalid response received
102, COMREC invalid response received
103, Unable to continue after PIN or PIP
120 255Reserved Codes, +

Chapter 10

Diagnostics

Chapter 10 describes the diagnostics you can

Zoom High Speed Fax/Modem Owner's Manual.................................64

perform should you encounter problems with your data communications
system. Using these diagnostics, you can evaluate the operation of
your faxmodem, its connection to your computer and to the remote modem,
and the condition of the telephone line between the two faxmodems.
You initiate and perform the diagnostics from your computer keyboard
using AT commands.

Test prerequisites

The diagnostic
tests must be performed in asynchronous, direct mode. Before performing
any of the tests in this chapter:

Use your software to change the computer-to-faxmodem speed
to 9600, 2400, or 1200 bps.

Type AT&Q0 and press the Enter key. (There are reminders
about this step in the individual test descriptions, but it is not
necessary to send this command again if you have not reset the faxmodem.)


Test timer

Register S18 determines the duration of the faxmodem
tests. This register has a default value of zero, which turns off
the test timer. Setting this register to a value between 1 and 255
indicates the number of seconds that the test is to be performed.
If you keep the default value, a diagnostic will be performed continuously,
until you terminate the test in accordance with the procedures described
in this chapter.

IMPORTANT! Terminating a test does not change the value of Register
S18. If you have changed the value of Register S18 and want
to change it back to 0, you must do so by typing ATS18=0 or
ATZ and pressing the Enter key.

Generating test characters

All of
the diagnostics use "test" characters. You can generate test
characters by typing them from your keyboard, or they can be automatically
generated by the faxmodem using the faxmodem's self-test pattern.
The diagnostic procedures in this chapter explain both ways of performing
the tests.

Local Analog Loopback Test

This test
evaluates the connection between your computer and faxmodem. You can
perform this test by itself or with the Self-Test.

Local Analog Loopback Test without Self-Test Pattern

The Local Analog Loopback Test without
Self-Test evaluates the faxmodem and its serial port. With this test,
you send data from your keyboard, through your computer, to your faxmodem,
which sends the data back to your computer screen without sending
it over the communications line. You can then compare the characters
on the screen with those you typed. If the data doesn't match, your

Zoom High Speed Fax/Modem Owner's Manual.................................65

faxmodem's serial port or your communications software may not be
functioning properly.

Figure 10-1 shows this test.

Put your faxmodem in Command Mode. (If you're in Data Mode,
performing this test breaks the data connection.)


Your faxmodem is factory set to echo command characters. If
you changed this setting, type AT E1 and press the Enter key.
Type AT &Q0 &T1 and press the Enter key.
The faxmodem responds with OK.
Type any characters.
If the displayed characters are identical to the ones you're
typing, your faxmodem passes the test.
To end the test, wait the number of seconds specified in Register
S12 (default is 1 second) and type the escape characters (+++).
When the OK response appears, type AT &T0 and press the
Enter key.
The faxmodem sends the OK response and enters Command
Mode.
Local Analog Loopback Test with Self-Test Pattern
This test evaluates your faxmodem's transmit
and receive circuitry by having your faxmodem generate test characters
internally. At the end of the test, your faxmodem sends a three-digit
number that displays the number of errors that occurred during the
test. If you receive an error count other than zero, you may have
a defective faxmodem.

Figure 10-2 shows this test.
Put your faxmodem in Command Mode. (If you're in Data Mode,
performing this test breaks the data connection.)
Your faxmodem is factory set to echo command characters. If
you changed this setting, type AT E1 and press the Enter key.
Type AT &Q0 and press the Enter key.

Perform this test with or without the test timer, as described
in the following sections.

With test timer

To perform the Local Analog Loopback Test with Self-Test Pattern using the test
timer:

Type AT S18=nnn &T8 and press the Enter key,
where nnn is the number of seconds (from 1 to 255) you want
the test to last.

When the test timer expires or you press any key, the faxmodem
provides a three-digit number indicating the number of errors that
occurred during the test, followed by the OK response. The number
 000 shows that no errors were detected. The faxmodem remains in Command
Mode.


Without test timer

To perform the Local Analog Loopback Test with Self-Test Pattern without using

Zoom High Speed Fax/Modem Owner's Manual.................................66

the test timer:

Type AT S18=0 &T8 and press the Enter key.

To end the test, press any key.

The faxmodem provides a three-digit number indicating the
number of errors that occurred during the test, followed by the OK
response. The number 000 shows that no errors were detected. The faxmodem
remains in Command Mode.

Remote Digital Loopback Test

The Remote Digital Loopback Test evaluates your faxmodem, the computer's
serial port, the remote modem, and the telephone line between them.
Characters generated at your end of the communications line are sent
across the telephone line to the remote modem. The remote modem loops
back the characters across the communications line to your faxmodem
and computer.

If the Remote Digital Loopback Test results in errors, both you and
the remote modem operator should perform the Local Analog Loopback
Test (&T1). If that test is successful, the problem may be in
the communications line.

Verify with the remote operator that the remote modem is configured
to accept your request for a Remote Digital Loopback Test (the &T4
command must be in effect at the remote modem).

Establish a data connection with the remote modem.

Wait the number of seconds specified in Register S12
(default is 1 second) and type the escape characters (+++).
The faxmodem responds with OK.

Your faxmodem is factory set to echo command characters. If
you changed this setting, type AT E1 and press the Enter key.

Type AT &Q0 and press the Enter key.

Perform this test without or with the self-test pattern, as
described in the following sections.

Remote Digital Loopback Test without Self-Test Pattern

With this test, your faxmodem sends
generated characters to the remote modem, which must be configured
to loop back the characters to your faxmodem. At the end of the test,
your faxmodem provides a three-digit number that shows the number
of errors that occurred during the test.

Figure 10-3 shows this test.

From Command Mode, type AT &T6 and press the Enter key.

The faxmodem responds with OK.

Type any characters.


Zoom High Speed Fax/Modem Owner's Manual.................................67

If the displayed characters are identical to the ones you're
typing, your faxmodem passes the test.

To end the test, wait the number of seconds specified in Register
S12 (default is 1 second) and type the escape characters (+++).
When the OK response appears, type AT &T0 and press the
Enter key.

The faxmodem sends the appropriate CONNECT response
and re-enters Data Mode.

To hang up, type AT H and press the Enter key.

Remote Digital Loopback Test with Self-Test Pattern

This test evaluates your faxmodem's transmit
and receive circuitry by having your faxmodem generate test characters
internally. At the end of the test, your faxmodem provides a three-digit
number that shows the number of errors that occurred during the test.
If you receive an error count other than zero, you may want to perform
the Local Analog Loopback Test (&T1) to isolate the problem.

Figure 10-4 shows this test.

With test timer

To perform the Remote Digital Loopback Test with Self-Test Pattern using the
test timer:
Type AT &Q0 S18=nnn &T7 and press the Enter
key, where nnn is the number of seconds (from 1 to 255) you
want the test to last.

When the test timer expires or you press any key, the faxmodem
provides a three-digit number indicating the number of errors that
occurred during the test, followed by the OK response. The number
000 shows that no errors were detected. The faxmodem remains in Command
Mode.

To hang up, wait the number of seconds specified in Register
S12 (default is 1 second) and type the escape characters (+++).
When the OK response appears, type AT H and press the
Enter key.

Without test timer

To perform the Remote Digital Loopback Test with Self-Test Pattern without using
the test timer:
Type AT &Q0 S18=0 &T7 and press the Enter key.
To end the test, press any key.
The faxmodem provides a three-digit number indicating the
number of errors that occurred during the test, followed by the OK
response. The number 000 shows that no errors were detected. The faxmodem
remains in Command Mode.

To hang up, wait the number of seconds specified in Register
S12 (default is 1 second) and type the escape characters (+++).
When the OK response appears, type AT H and press the
Enter key.


Zoom High Speed Fax/Modem Owner's Manual.................................68

Local Digital Loopback Test

You
perform this test when you have a data connection with another modem.
The remote modem sends data to your faxmodem, which loops it back
to the remote modem. If the Local Analog Loopback Test resulted in
errors, passing this test indicates that the problem lies in your
faxmodem-to-computer connection. This test also lets the remote modem
user evaluate his or her modem-to-computer connection, the telephone
line, and your faxmodem.

Figure 10-5 shows the Local Digital Loopback Test.
Make a data connection with a remote modem. Then use one of
the following steps to return the faxmodem to Command Mode:

If the &D1 command is in effect, cause an ON-to-OFF
DTR transition.




OR, Wait the number of seconds specified in Register S12
(default is 1 second) and type the escape characters (+++).
Then wait the number of seconds specified in Register S12 again.
Type AT &Q0 S18=0 &T3 and press the Enter key.

The OK response appears as your faxmodem begins the
Local Digital Loopback Test.

The remote modem user types characters (which will not appear
on your screen) and then calls you on another line to inform you of
the test results.

When the remote modem user tells you by phone that the test
is over, type AT &T0 and press the Enter key.

The OK response appears.

To hang up, wait the number of seconds specified in Register
S12 (default is 1 second) and type the escape characters (+++).
When the OK response appears, type AT H and press the
Enter key.

Accepting or denying Remote Digital Loopback requests

You can configure your faxmodem to accept or deny remote modem requests to
participate
in a Remote Digital Loopback Test. This test allows the remote modem
to evaluate itself, its DTE interface, your faxmodem, and the communications
line in between.

To accept remote modem requests:

Type AT &Q0 &T4 and press the Enter key.
Your faxmodem will accept test characters generated from
a remote modem and loop them back across the communications line to
the sending modem. This is the default setting.

To deny remote modem requests:

Zoom High Speed Fax/Modem Owner's Manual.................................69


Type AT &Q0 &T5 and press the Enter key.
 Your faxmodem will ignore remote modem requests to participate
in a Remote Digital Loopback.

Chapter 11
Troubleshooter's Guide
Chapter 11 describes some of the common problems that may arise during
communications and some of the most common reasons for such problems.
If your faxmodem is not working, you should read this chapter carefully.
Most problems can be resolved quickly and easily in this way.
General troubleshooting
The internal faxmodem does not respond to AT commands. (The following
comments apply to many other problems, as well.)
The most common error with internal faxmodems is that more than one piece
of hardware is assigned to the same COM port, or the communications or fax
software is not configured for the same COM port as the faxmodem. This can
be corrected by making sure that no other board installed in your PC has
the same COM port setting as the faxmodem, and by checking that you have
used the correct setting when configuring your software.
Note that if your computer has an external serial port, it will still
create a conflict, even though you may not be using the port. This holds
true for serial ports on cards, peripheral devices, and built-in serial
ports. In general, when PCs have built-in serial ports, the ports are
assigned to COM1, COM2, or both. If you don't know which one to use, try
configuring your faxmodem for COM3 or COM4; then be sure to configure your
communications and fax software to match.

The external faxmodem stops working completely and no LEDs are ON.
Make sure the faxmodem is connected to a working AC outlet and that the
connection to the AC source is secure. You may want to plug another
appliance (such as a lamp) into the AC outlet to make sure the outlet is
working.
Make sure the power (ON/OFF) switch on the back of the faxmodem is in the
ON position (up).
Check the faxmodem fuse and replace it if necessary (refer to Appendix D).
If the fuse is good, the AC power pack may be faulty.
The external faxmodem seems to connect to the remote modem, but nothing
appears on your screen. Or, the faxmodem will not hangup reasonably quickly
at the end of a call.
Your faxmodem may not be receiving the required initialization string from
your software. Make sure that your faxmodem is on before you start up your
software. See Start-up sequence for external faxmodems on page 2-5 in
Chapter 2.
You type a command line and press the Enter key, but your faxmodem fails to
execute the command line.
Be sure you type AT at the beginning of the command line.
Be sure your faxmodem is not in Data Mode when you type the command. Use
the escape sequence to switch to Command Mode.
If you have an internal faxmodem, make sure the communications software is
configured for the same COM port as your faxmodem. For example, the
software may be configured for COM1, while your faxmodem is configured for
COM2.

No response appears after executing a command.
If you typed a command but did not receive an OK response from your
faxmodem: The E0 and Q1 commands may be in effect, disabling echo and
responses.
Verify this with the &V command.

Zoom High Speed Fax/Modem Owner's Manual.................................70

Be sure your faxmodem is not in Data Mode when you type the command.
If you have an internal faxmodem, make sure the communications software and
faxmodem are configured for the same COM port.
You receive an ERROR response when trying to execute a command.
Check whether you typed an unacceptable command.
Be sure your command line contains fewer than 40 characters.
Your faxmodem goes off-hook and seizes the telephone line.
The faxmodem is configured for auto-answer. Type AT S0=0 and press the
Enter key to turn off auto-answering.
Faxmodem will not auto-answer.
Your faxmodem may not be configured to automatically answer incoming calls.
Type AT S0=n and press the Enter key, where n is the number of rings that
must occur before the faxmodem auto-answers calls (refer to Chapter 6).
You encounter other communications problems with your faxmodem.
Check that your communications software has been set up properly. Recheck
the initialization string and dial string specified in your software manual
and in this manual. Remember that commands in the initialization string are
sent to the faxmodem each time you start your software and will override
the settings stored in the faxmodem's non-volatile memory.
On IBM PC-compatible computers, memory-resident (TSR) programs can cause a
wide variety of problems for many fax software programs. Try booting your
computer without them.
 On Macintosh computers, fax software is sometimes subject to init
conflicts. Try starting up your system without any inits.
You are uncertain about the DTR and DCD settings referred to in your
software manual.
If your software requires that your faxmodem ignore DTR (which is the
faxmodem's default setting) and you are using the &D2 command in the
faxmodem's initialization string or have stored it in non-volatile memory,
your faxmodem will not work properly. If this is the case, store the &D0
command in non-volatile memory: AT&D0&W0&Y0Also, make sure that the
faxmodem initialization string does not contain &D2.
Conversely, if your software requires that your faxmodem follow Data
Terminal Ready, the above considerations apply in reverse. If you are
having problems, include &D2 in the faxmodem initialization string.
If your software requires that DCD always be forced ON (which is the
faxmodem's default setting), and you are using the &C1 command in the
faxmodem initialization string or have stored it in non-volatile memory,
your faxmodem will not work properly. If this is the case, store the &C0
command in nonvolatile memory:AT&C0&W0&Y0Also, make sure that the
faxmodem
initialization string does not include &C1.
Conversely, if your software requires that Data Carrier Detect follow
carrier, the above considerations apply in reverse. If you are having
problems, include &C1 in the faxmodem initialization string.
Echo troubleshooting
Each character you type appears two times on the screen.
Your computer and/or communications software has its echo feature turned on
and the faxmodem's echo feature is also turned on.
If the remote system echos your typed characters, type AT E1 and press the
Enter key. Then turn off your communication software's local echo. Your
faxmodem will echo commands during Command Mode and the remote system will
echo your typing during Data Mode.
If the remote system does not echo your typed characters, type AT E0 and
press the Enter key. Then turn on your communication software's local echo.
Your software will echo commands during Command Mode and any typing
performed during Data Mode.
No data characters on screen.
 During Data Mode

Zoom High Speed Fax/Modem Owner's Manual.................................71

When you make a connection with a remote system and exchange data, the data
will appear on your screen if you're in full-duplex operation. If you do
not see the data, be sure the computer you're communicating with is
operating full-duplex. Another cause may be that the remote system is
waiting to receive your data before echoing it back to your system.
If neither of these is the cause, other software on your computer may be
affecting communications.
 During Command Mode
If you can't see the characters you're typing, type ATE1 and press the
Enter key.

Dial troubleshooting
Your faxmodem does not automatically dial a call when you send a Dial
command line.
If you're using touchtone dialing on a line that requires pulse dialing,
the line may not be able to accept touchtone-dialed calls. Include the P
command in your Dial command line to specify pulse dialing (refer to
Chapter 6).
Your faxmodem does not respond to Dial commands from your software.
Change the software dialing prefix to ATDT.
Your communications software and faxmodem may not be configured for the
same COM port.
Your faxmodem may still be on-line from the previous call. Type the escape
characters to return to Command Mode, wait one second, type ATH, and press
the Enter key to hang up the faxmodem.
 On-line troubleshooting
Your faxmodem can connect to some modems, but not to others.
Your faxmodem negotiates the highest mutually compatible connection with a
remote modem. However, when you are calling a remote modem that does not
support data compression or error correction, this negotiation process may
take too long or may result in incomprehensible characters reaching your
faxmodem or the remote modem, causing one of them to break the connection.
You may be able to solve this problem using an AT command string to disable
the speed and/or protocol negotiation process. You can also include such a
string in the dial prefix for calling a particular modem.
If a remote modem does not respond because of the extended negotiation
process, you may have to disable part or all of the negotiation process. In
the following chart, protocol means error correction and data
compression. Note that the first two lines in the chart are likely to be
the most valuable. In the dial strings shown in the chart below, the
character after N is zero, not the letter O. The  character
represents the Enter key, which you must press after entering the command.

Note: entries with an * are V.32bis faxmodems only., +

To Force..., Type These Commands...
Negotiate speed and protocol (default setting), AT&Q5N1
Negotiate speed only,, do not use protocol, AT&Q6N1
Connect at 14400 bps,, negotiate protocol*, AT&Q5S37=11N0
Connect at 14400 bps,, no protocol*, AT&Q6S37=11N0
Connect at 12000 bps,, negotiate protocol*, AT&Q5S37=10N0
Connect at 12000 bps,, no protocol*, AT&Q6S37=10N0
Connect at 9600 bps,, negotiate protocol, AT&Q5S37=9N0
Connect at 9600 bps,, no protocol, AT&Q6S37=9N0
Connect at 7200 bps,, negotiate protocol*, AT&Q5S37=12N0
Connect at 7200 bps,, no protocol*, AT&Q6S37=12N0
Connect at 4800 bps,, negotiate protocol, AT&Q5S37=8N0
Connect at 4800 bps,, no protocol, AT&Q6S37=8N0
Connect at 2400 bps,, negotiate protocol, AT&Q5S37=6N0

Zoom High Speed Fax/Modem Owner's Manual.................................72

Connect at 2400 bps,, no protocol, AT&Q6S37=6N0
Connect at 1200 bps,, negotiate protocol, AT&Q5S37=5N0
Connect at 1200 bps,, no protocol, AT&Q6S37=5N0
Connect at 300 bps,, negotiate protocol, AT&Q5S37=1N0
Connect at 300 bps,, no protocol, AT&Q6S37=1N0


IMPORTANT! You may find it necessary or helpful to include S95=44 in your
initialization string. This enables the responses CARRIER (telephone line
speed) and PROTOCOL, as well as CONNECT (faxmodem-to-computer speed).
Setting S95=47 will add /ARQ if a protocol is in use, and will cause the
CONNECT responses to reflect the faxmodem-to-remote modem speed rather than
the computer-to-faxmodem speed. Note, however, that many communications
programs intercept some or all of these responses, so you may never see
them. The description of Register S95, on page 5- in Chapter 5, gives
details about the various combinations of messages that can be enabled.
There are other configurations that can be forced, as well. If you need to
select a particular configuration, use the AT command strings shown on the
next page. You can always return to the faxmodem's default configuration by
typing AT&F and pressing the Enter key, but remember that if you do that,
the faxmodem will not have received the commands in your software's
initialization string, as it normally would. Using the ATZ command
overcomes this problem if you have saved all of your setup parameters in non-
volitile memory.

Asynchronous operation

To Force..., Type These Commands...

MNP 5/MNP 4 operation, AT\N2

V.42 only, AT%C0S48=0

MNP 4 only, AT\N2%C0
Normal operation, Normal operation means that the faxmodem will
communicate without any error correction or data compression,, but will
retain speed buffering and auto-speed negotiation. It should not be
confused with the standard configuration.AT&Q6 S48=7 S36=7
Auto-answer, ATS0=1

Leased line use, Originating modem: AT&L1S0=0 Answering modem:
AT&L1S0=1
Originating modem: ATX1DAnswering modem: ATA

Synchronous operation

To Force..., Type These Commands...

Auto-answer, AT&Q2S0=1
Leased line use, Originating modem: AT&Q2&L1S0=0 Answering modem:
AT&Q2&L1S0=1  Originating modem: ATX1DAnswering modem: ATA
Manual dialing, AT&Q3

You are calling a modem that requires one particular telephone line speed,
and you have your faxmodem set up to work only at a different telephone
line speed.
Some 2400 bps information services have dedicated lines that can only
communicate at 2400 bps. Therefore, if you call them with your faxmodem
fixed (by using the N0 command and Register S37) at 300 or 1200 bps

Zoom High Speed Fax/Modem Owner's Manual.................................73

faxmodem speed, you will not be able to communicate. Using the default
settings, however, your faxmodem will negotiate a connection at a mutually
compatible telephone line speed connection.
Also, many bulletin boards and other services will adjust to the speed of
the calling modem.
Finally, telephone lines in some areas may not support reliable operation
at 2400 bps or higher.
You receive a CONNECT response, but no data characters appear on your
computer screen.
Be sure the remote computer is operating full-duplex.
The remote system is waiting to receive your data before echoing it back to
your system. Try pressing the Enter key several times.
Other software or hardware on your computer is affecting communications.
You cannot hear the connection through the speaker.
If your faxmodem makes a data connection, but you cannot hear anything
through the faxmodem speaker, use the M command to make sure the speaker is
ON (refer to Chapter 4).
Your faxmodem disconnects while communicating with a remote system.
The remote system has hung up.
The telephone line disrupted or disconnected your call.
Your DTE has turned off the DTR interface signal to your faxmodem (refer to
the &D command in Chapter 4).

No data connection.
If your faxmodem places calls, but never makes a connection and you don't
hear the high-pitched tone when the remote side answers, there may be a
problem at the remote location. If possible, make a voice call to the other
party and discuss the problem with them.
Bursts of errors.
If you receive bursts of errors occasionally, but otherwise data quality is
good, check the following:
The connection may have been established on poor-quality or noisy telephone
lines. Disconnect and place the call again to try and obtain a better
connection.
Someone may be picking up an extension connected to the line that your
faxmodem is using. If the faxmodem is sharing a telephone line with other
telephones, inform the other users when you will be making a data call.
Your telephone line may have a Call Waiting feature and a call is being
received. Most Call Waiting features can be disabled by adding a prefix to
the telephone number when typing the faxmodem command. Contact your
telephone company for more information. Touchtone dialing example: AT D T
*70, W 555-1122Pulse dialing example: AT D P 1170+555-1122
Random errors in transmitted data.
Use the MNP or V.42 protocol if the remote modem supports one of these
protocols.
Reduce the baud rate.
Perform the Local Analog Loopback Test with Self-Test Pattern at your
faxmodem and at the remote modem to make sure they're both operating
properly. If your faxmodem and the remote modem pass, perform the Remote
Digital Loopback Test with Self-Test Pattern to evaluate your faxmodem, the
remote modem, and the telephone line between them.

Data are missing.
If you're using the MNP or V.42 protocol, the only way this can occur is if
your faxmodem and communications software are not using the appropriate
flow control. For more information on flow control, refer to Chapter 7.
Configure your communications software for XON/XOFF flow control. This will
allow your computer to pause and allow the transmission to be stored.
Perform the Local Analog Loopback Test with Self-Test Pattern at your

Zoom High Speed Fax/Modem Owner's Manual.................................74

faxmodem and at the remote modem to make sure they're both operating
properly. If your faxmodem and the remote modem pass, perform the Remote
Digital Loopback Test with Self-Test Pattern to evaluate the faxmodem, the
remote modem, and the telephone line between them.
Data appears garbled on the screen.
Your communications software character setup (start bit, data bits, stop
bits, and parity bit) does not match that of the remote system. Check your
settings against those used by the remote system and make sure they match.
Pay particular attention to the parity setting, as this is the most common
difference among systems. You should normally use 8 data bits, NO parity,
and 1 stop bit (8, NONE, 1). The second most common setting is 7 data bits,
EVEN parity, and 1 stop bit (7, EVEN, 1).
Poor telephone line conditions forced your faxmodem to fall back to a
slower communications speed. To continue communications, change the speed
of your software to match the current communications speed. To return to
the original speed, disconnect and originate the call again.
Perform the Local Analog Loopback Test with Self-Test Pattern at your
faxmodem and at the remote modem to make sure they're both operating
properly. If your faxmodem and the remote modem pass, perform the Remote
Digital Loopback Test with Self-Test Pattern to evaluate your faxmodem, the
remote modem, and the telephone line between them.

Your faxmodem works fine when you are not using data compression, but the
compression (V.42bis and MNP 5) features are inoperative.
Your software needs to use a streaming protocol, such as Ymodem-G or
Zmodem; Xmodem and Ymodem are not adequate.
Your software must be set up so that your faxmodem is using hardware flow
control (RTS/CTS ON).
You must use a computer-to-faxmodem speed of 57600 bps (for V.32 faxmodems,
you can still get maximum throughput at the slower speed of 38400 bps); set
this for each entry in the dialing directory.
Be aware that many bulletin boards download files that have already been
compressed. In general, your faxmodem will not be able to further compress
such files.

Notes
Chapter 12

High-Speed Modem Primer
If you are interested in learning more about high-speed modem
communications, then Chapter 12 is designed for you. This chapter describes
how your faxmodem can meet many different types of high-speed communication
requirements while saving you money by reducing your telephone line charges.
High-speed modem features
Throughout this document, you have seen the terms V.32 and V.32bis used
when referring to your faxmodem. V.32 and V.32bis are the international
standards for high-speed, two-way simultaneous (full-duplex) transmission
across public telephone lines. These international standards were developed
by the Consultative Committee on International Telephone and Telegraph
(CCITT) to provide a reliable way for modems to exchange data at speeds of
9600 bits per second (bps) and 14,400 bps over standard telephone lines,
speeds that not too long ago were available with dedicated, leased-line
modems only. This frees you from the high costs of using leased lines.
This faxmodem surpasses the CCITT V.32 and V.32bis recommendations in
several important ways, including supporting V.42bis and MNP data
compression, and V.42 and MNP error correction.
The following sections describe these features and give some examples of
how they can be used to meet your high-speed communication needs.


Zoom High Speed Fax/Modem Owner's Manual.................................75

Data compression
For very high throughput, this faxmodem supports two types of data
compression, V.42bis and MNP 5. The V.42bis protocol is faster than MNP,
thanks to the way it handles the flow of data. However, there is a large
base of installed modems that use MNP 5. By supporting both protocols, this
faxmodem guarantees you compatibility now and in the future.
Data compression increases throughput by looking for patterns in the data
being sent and using special algorithms to code the data before sending it.
This coding reduces the number of bits that must be sent to convey a
certain amount of information. The actual degree of compression depends on
the type of data being sent. MNP 5 can typically increase speed by a factor
of 2, while V.42bis can typically achieve compression rates of 3 to 1, with
a theoretical maximum rate of 4 to 1.
For a complete discussion on data compression, see Chapter 7.
Error correction
Speed is great, but it does no good unless the data received is accurate.
To ensure accurate transmission, your faxmodem supports two
error-correcting protocols, V.42 and MNP. These protocols are discussed in
more detail in Chapter 7.
IMPORTANT! Some communications programs offer their own error-correction
protocols. These protocols may not provide maximum performance when used
with a V.42 or MNP modem. If your communications software provides such an
option, select the No Error Correction option. This will allow you to
take full advantage of your faxmodem's hardware-based error-correction.

